/*
SQLyog Ultimate v9.50 
MySQL - 5.5.41-0+wheezy1 : Database - approve
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `add_money_history` */

DROP TABLE IF EXISTS `add_money_history`;

CREATE TABLE `add_money_history` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sum` int(10) unsigned NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Table structure for table `advertiser_requests` */

DROP TABLE IF EXISTS `advertiser_requests`;

CREATE TABLE `advertiser_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `phone` varchar(40) NOT NULL DEFAULT '',
  `skype` varchar(50) NOT NULL DEFAULT '',
  `offer_name` varchar(100) NOT NULL DEFAULT '',
  `offer_descr` text NOT NULL,
  `added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/*Table structure for table `ban_reason` */

DROP TABLE IF EXISTS `ban_reason`;

CREATE TABLE `ban_reason` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `text` text NOT NULL,
  `type` enum('ban','unban') NOT NULL,
  `author` enum('0','1') NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `cooperators` */

DROP TABLE IF EXISTS `cooperators`;

CREATE TABLE `cooperators` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `email` varchar(50) NOT NULL,
  `password` varchar(15) NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '1',
  `offers` varchar(100) NOT NULL,
  `send_email` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;

/*Table structure for table `cooperators_history` */

DROP TABLE IF EXISTS `cooperators_history`;

CREATE TABLE `cooperators_history` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `request_id` int(10) unsigned NOT NULL,
  `cooperator_id` int(10) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1345 DEFAULT CHARSET=utf8;

/*Table structure for table `flows` */

DROP TABLE IF EXISTS `flows`;

CREATE TABLE `flows` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `page_id` int(10) unsigned NOT NULL DEFAULT '0',
  `gasket_id` int(10) NOT NULL DEFAULT '0',
  `offer_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL,
  `url` varchar(6) NOT NULL DEFAULT '',
  `url_str` varchar(200) NOT NULL,
  `metrika` int(8) NOT NULL,
  `mail` int(10) NOT NULL,
  `google` varchar(13) NOT NULL,
  `trafficback_url` varchar(100) NOT NULL,
  `postback_url` varchar(100) NOT NULL,
  `comebacker` enum('0','1') NOT NULL DEFAULT '0',
  `newwindow` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=607 DEFAULT CHARSET=utf8;

/*Table structure for table `gaskets` */

DROP TABLE IF EXISTS `gaskets`;

CREATE TABLE `gaskets` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `url` varchar(100) NOT NULL,
  `offer_id` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

/*Table structure for table `goals` */

DROP TABLE IF EXISTS `goals`;

CREATE TABLE `goals` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `price` int(10) NOT NULL COMMENT 'Цена, которая видна вебмастерам',
  `price_currency` int(1) DEFAULT '0',
  `real_price` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Цена, которую рекламодатель платит за 1 заявку',
  `real_price_currency` int(1) DEFAULT '0',
  `offer_id` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8;

/*Table structure for table `hold_money` */

DROP TABLE IF EXISTS `hold_money`;

CREATE TABLE `hold_money` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `request_id` int(10) unsigned NOT NULL,
  `money` decimal(10,2) NOT NULL,
  `date` date NOT NULL,
  `paid` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=248 DEFAULT CHARSET=utf8;

/*Table structure for table `ind_payments` */

DROP TABLE IF EXISTS `ind_payments`;

CREATE TABLE `ind_payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `goal_id` int(10) unsigned NOT NULL,
  `price` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

/*Table structure for table `my_offers` */

DROP TABLE IF EXISTS `my_offers`;

CREATE TABLE `my_offers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `offer_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=954 DEFAULT CHARSET=utf8;

/*Table structure for table `news` */

DROP TABLE IF EXISTS `news`;

CREATE TABLE `news` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `offer_id` int(10) unsigned NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL,
  `text` text NOT NULL,
  `added` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8;

/*Table structure for table `offers` */

DROP TABLE IF EXISTS `offers`;

CREATE TABLE `offers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `image` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `places` text NOT NULL,
  `small_descr` text NOT NULL,
  `descr` text NOT NULL,
  `cat` int(10) NOT NULL,
  `countries` varchar(100) NOT NULL,
  `postclick` int(2) NOT NULL,
  `sex` enum('0','1','2') NOT NULL,
  `age` varchar(10) NOT NULL,
  `pages` text NOT NULL,
  `url` varchar(100) NOT NULL,
  `type` enum('-1','0','1') NOT NULL DEFAULT '0',
  `private` enum('0','1') NOT NULL DEFAULT '0',
  `added` int(10) unsigned NOT NULL,
  `price` int(10) unsigned NOT NULL DEFAULT '0',
  `price_currency` int(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8;

/*Table structure for table `offers_leadvertex` */

DROP TABLE IF EXISTS `offers_leadvertex`;

CREATE TABLE `offers_leadvertex` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `url` varchar(200) NOT NULL,
  `login` varchar(50) NOT NULL,
  `passord` varchar(50) NOT NULL,
  `offer_id` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `offers_private` */

DROP TABLE IF EXISTS `offers_private`;

CREATE TABLE `offers_private` (
  `offer_id` int(10) NOT NULL,
  `user_id` int(10) NOT NULL,
  PRIMARY KEY (`offer_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `options` */

DROP TABLE IF EXISTS `options`;

CREATE TABLE `options` (
  `option_name` varchar(20) DEFAULT NULL,
  `option_value` varchar(200) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `pages` */

DROP TABLE IF EXISTS `pages`;

CREATE TABLE `pages` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `url` varchar(100) NOT NULL,
  `cr` int(10) NOT NULL,
  `offer_id` int(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=utf8;

/*Table structure for table `payments` */

DROP TABLE IF EXISTS `payments`;

CREATE TABLE `payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `payment_type` varchar(100) NOT NULL,
  `bill` varchar(50) NOT NULL,
  `sum` int(10) unsigned NOT NULL,
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `paid` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;

/*Table structure for table `requests` */

DROP TABLE IF EXISTS `requests`;

CREATE TABLE `requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `transit_id` int(10) unsigned DEFAULT NULL,
  `flow_id` int(10) unsigned NOT NULL DEFAULT '0',
  `goal_id` int(10) unsigned NOT NULL,
  `page_id` int(10) unsigned NOT NULL,
  `gasket_id` int(10) DEFAULT '0',
  `offer_id` int(10) unsigned NOT NULL DEFAULT '0',
  `dop_info` text NOT NULL,
  `profit` int(10) NOT NULL DEFAULT '0',
  `real_profit` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Цена, видная рекламодателям',
  `status` enum('-3','-2','-1','0','1','2') NOT NULL DEFAULT '-2',
  `dop_status` int(10) NOT NULL DEFAULT '1',
  `date` date NOT NULL,
  `time` time NOT NULL,
  `leadvertex_id` int(10) NOT NULL DEFAULT '0',
  `cooperator_occupy` int(11) DEFAULT NULL COMMENT 'какой оператор занял',
  `cooperator_occupy_dt` datetime DEFAULT NULL COMMENT 'когда занял',
  `api_order_send` tinyint(1) DEFAULT '0',
  `api_order_send_dt` datetime DEFAULT NULL,
  `api_order_resp_code` int(11) DEFAULT NULL,
  `api_order_resp_text` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`transit_id`,`flow_id`,`goal_id`,`page_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1877 DEFAULT CHARSET=utf8;

/*Table structure for table `requests_history` */

DROP TABLE IF EXISTS `requests_history`;

CREATE TABLE `requests_history` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `request_id` int(10) unsigned NOT NULL,
  `comment` varchar(100) NOT NULL DEFAULT '',
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cooperator` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Table structure for table `requests_orders` */

DROP TABLE IF EXISTS `requests_orders`;

CREATE TABLE `requests_orders` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `request_id` int(10) unsigned NOT NULL,
  `city` varchar(100) DEFAULT NULL,
  `address` varchar(200) DEFAULT NULL,
  `postcode` char(6) DEFAULT NULL,
  `fio` varchar(100) NOT NULL,
  `count` int(3) DEFAULT '1',
  `date` date NOT NULL,
  `time` varchar(30) NOT NULL,
  `comment` varchar(150) DEFAULT NULL,
  `track` varchar(50) DEFAULT '0',
  `total` int(10) DEFAULT '0',
  `color` varchar(100) DEFAULT NULL,
  `phone` varchar(50) NOT NULL DEFAULT '',
  `upsale` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=804 DEFAULT CHARSET=utf8;

/*Table structure for table `ticket` */

DROP TABLE IF EXISTS `ticket`;

CREATE TABLE `ticket` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` tinytext NOT NULL,
  `date` datetime NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=319 DEFAULT CHARSET=utf8;

/*Table structure for table `ticket_message` */

DROP TABLE IF EXISTS `ticket_message`;

CREATE TABLE `ticket_message` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `ticket_id` int(10) unsigned NOT NULL,
  `text` text NOT NULL,
  `author` enum('0','1') NOT NULL,
  `read` enum('false','true') NOT NULL DEFAULT 'false',
  `time` datetime NOT NULL,
  `read_admin` enum('false','true') NOT NULL DEFAULT 'false',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=507 DEFAULT CHARSET=utf8;

/*Table structure for table `transits` */

DROP TABLE IF EXISTS `transits`;

CREATE TABLE `transits` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `flow_id` int(10) unsigned NOT NULL,
  `offer_id` int(10) unsigned NOT NULL,
  `page_id` int(10) unsigned NOT NULL,
  `gasket_id` int(10) NOT NULL DEFAULT '0',
  `referer` varchar(200) NOT NULL DEFAULT '',
  `ip` bigint(20) unsigned NOT NULL DEFAULT '0',
  `agent` varchar(50) NOT NULL DEFAULT '',
  `country_code` varchar(2) NOT NULL DEFAULT '',
  `date` date NOT NULL,
  `time` time NOT NULL,
  `hash` varchar(32) NOT NULL,
  `data1` varchar(100) NOT NULL,
  `data2` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`flow_id`,`offer_id`,`page_id`,`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=263749 DEFAULT CHARSET=utf8;

/*Table structure for table `ulrs` */

DROP TABLE IF EXISTS `ulrs`;

CREATE TABLE `ulrs` (
  `id` varchar(5) NOT NULL DEFAULT '',
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `offer_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `type` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `name` varchar(100) NOT NULL,
  `surname` varchar(100) NOT NULL,
  `phone` varchar(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  `passhash` varchar(32) NOT NULL,
  `status` enum('0','1') NOT NULL DEFAULT '1',
  `reg_date` date NOT NULL DEFAULT '0000-00-00',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00',
  `hold_days` int(2) NOT NULL DEFAULT '7',
  `login` varchar(50) NOT NULL,
  `skype` varchar(50) NOT NULL,
  `icq` varchar(20) DEFAULT NULL,
  `wmr` varchar(13) DEFAULT NULL,
  `api_key` varchar(32) NOT NULL,
  `view_news` int(10) NOT NULL,
  `mailchimp` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=493 DEFAULT CHARSET=utf8;

insert  into `users`(`id`,`type`,`name`,`surname`,`phone`,`email`,`passhash`,`status`,`reg_date`,`money`,`hold_days`,`login`,`skype`,`icq`,`wmr`,`api_key`,`view_news`,`mailchimp`) values (
1,'3','admin','admin','','admin@admin.ru','70fb12f91472ac2a90c1b6bb754e3d6d','1','2015-03-28','0.00',7,'admin','',NULL,'R888888888888','',0,0),
(2,'0','defaultweb','defaultweb','','defaultweb@test.ru','70fb12f9s472ac2a90c1b6bb754e3d6d','1','2015-04-11','0.00',7,'defaultweb','skype','icq','R888888888888','',0,0);


/*Table structure for table `users_log` */

DROP TABLE IF EXISTS `users_log`;

CREATE TABLE `users_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `date_time` datetime DEFAULT NULL,
  `user_ip` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=651 DEFAULT CHARSET=utf8;

/*Table structure for table `users_offers` */

DROP TABLE IF EXISTS `users_offers`;

CREATE TABLE `users_offers` (
  `user_id` int(10) NOT NULL,
  `offer_id` int(10) NOT NULL,
  `requests_in_day` int(4) NOT NULL,
  PRIMARY KEY (`user_id`,`offer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Table structure for table `users_recover` */

DROP TABLE IF EXISTS `users_recover`;

CREATE TABLE `users_recover` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `hash` varchar(32) NOT NULL,
  `new_hash` varchar(32) NOT NULL,
  `time` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

/*Table structure for table `users_request` */

DROP TABLE IF EXISTS `users_request`;

CREATE TABLE `users_request` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `login` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(50) NOT NULL,
  `skype` varchar(50) NOT NULL,
  `count` int(4) NOT NULL,
  `descr` text NOT NULL,
  `time` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8;

/*Table structure for table `users_send_history` */

DROP TABLE IF EXISTS `users_send_history`;

CREATE TABLE `users_send_history` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `date` date NOT NULL,
  `subject` varchar(100) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
