<?php

require 'browser_detect.php';

class Api {

    private $api_url = "http://domen.ru/api/";
    private $api_key;
    private $base_url;
    private $dop_info = "";
    public $hash;
    public $flow_hash;
    private $goal_id = 0;
    private $postClick = 30;
    private $flow_info;
    public $transit_info;
    private $ip = "";
    private $user_agent = "";
    private $referer = "";
    private $data1 = "";
    private $data2 = "";
    private $landing_domen;
    private $landing_folder;

    function __construct($api_key) {
        // устанавливаем API-HASH рекламодателя
        $this->api_key = $api_key;

        // определяем IP посетителя
        $this->ip = $_SERVER["REMOTE_ADDR"];

        // определяем браузер
        $browser = new clBrowserDetect();
        $user_agent = $browser->getBrowser() . ' ' . $browser->getVersion();
        $this->user_agent = $user_agent;

        // определяем реферера
		if (isset($_SERVER["HTTP_REFERER"]))
			$this->referer = $_SERVER["HTTP_REFERER"];

        // суббакаунты
        if ($_SERVER['REQUEST_URI'] != '') {
            preg_match("#data1=(.*)(&|$)#isU", $_SERVER['REQUEST_URI'], $data1);
            preg_match("#data2=(.*)(&|$)#isU", $_SERVER['REQUEST_URI'], $data2);
            if (count($data1) > 1)
                $this->data1 = $data1[1];
            if (count($data2) > 1)
                $this->data2 = $data2[1];
        }
    }

    public function setBaseUrl($base_url = '') {
        if ($base_url[strlen($base_url) - 1] !== '/')
            $base_url = $base_url . '/';
        $this->base_url = $base_url;
        return $this;
    }

    public function setFlowHash() {
        $uri = $_SERVER['REQUEST_URI'];
        $uri_array = explode('/', $uri);

        $script_name = $_SERVER['SCRIPT_NAME'];
        $script_name_arrray = explode('/', $script_name);
        if (count($script_name_arrray) >= 3) {
            // в директории домена
            $url = 'http://' . $_SERVER['HTTP_HOST'] . '/' . $script_name_arrray[1] . '/';
            $flow_hash = $uri_array[2];
            $this->landing_domen = 0;
            $this->landing_folder = $script_name_arrray[1];
        } else {
            // на домене или на поддомене
            $url = 'http://' . $_SERVER['HTTP_HOST'] . '/';
            $flow_hash = $uri_array[1];
            $this->landing_domen = 1;
        }

        $this->flow_hash = $flow_hash;
        return $this;
    }

    public function set_dop_info($dop_info = '') {
        $this->dop_info = $this->json_encode_cyr($dop_info);
        return $this;
    }

    public function set_hash($hash = '') {
        $this->hash = $hash;
        return $this;
    }

    public function set_goal_id($id = '') {
        $this->goal_id = $id;
        return $this;
    }

    public function setHashToCookie($time = 30) {
        if ($this->landing_domen == 1)
            $path = '/';
        else
            $path = '/' . $this->landing_folder . '/';
        setcookie("hash", $this->hash, time() + $time * 86400, $path);
    }

    public function insertRequest() {
        return $this->goCurl();
    }

    public function getPostClick() {
        return $this->postClick;
    }

    public function getMetrikaId() {
        return $this->flow_info["metrika"];
    }

    public function getMailId() {
        return $this->flow_info["mail"];
    }

    public function getGoogleId() {
        return $this->flow_info["google"];
    }

    public function insertTransit() {
        if (isset($_COOKIE['hash'])) {
            return $_COOKIE['hash'];
        } else {
            $result = $this->goCurl("insert_transit");
            $json = json_decode($result);
            return $json;
        }
    }

    public function getInfo() {
        $json = json_decode($this->goCurl("get_info"));
        $this->postClick = $json->postclick;
        $this->flow_info["metrika"] = $json->metrika_id;
        $this->flow_info["mail"] = $json->mail_id;
        $this->flow_info["google"] = $json->google_id;
    }

    public function getInfoTransit() {
        $json = json_decode($this->goCurl("get_info_transit/" . $this->hash));
        $this->postClick = $json->postclick;
        $this->transit_info["comebacker"] = $json->comebacker;
        $this->transit_info["newwindow"] = $json->newwindow;
        $this->transit_info["url"] = $json->url;
    }

    private function goCurl($url = '') {

        $postFields = "api_key=" . $this->api_key
                . "&dop_info=" . $this->dop_info
                . "&hash=" . $this->hash
                . "&flow_hash=" . $this->flow_hash
                . "&ip=" . $this->ip
                . "&user_agent=" . $this->user_agent
                . "&data1=" . $this->data1
                . "&data2=" . $this->data2
                . "&referer=" . $this->referer
                . "&goal_id=" . $this->goal_id;
        $ch = curl_init($this->api_url . $url);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_REFERER, $_SERVER["HTTP_HOST"]);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $postFields);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $result = curl_exec($ch);
        curl_close($ch);
      //   print_r($result);
        return $result;
    }

    function json_encode_cyr($str) {
        $arr_replace_utf = array('\u0410', '\u0430', '\u0411', '\u0431', '\u0412', '\u0432',
            '\u0413', '\u0433', '\u0414', '\u0434', '\u0415', '\u0435', '\u0401', '\u0451', '\u0416',
            '\u0436', '\u0417', '\u0437', '\u0418', '\u0438', '\u0419', '\u0439', '\u041a', '\u043a',
            '\u041b', '\u043b', '\u041c', '\u043c', '\u041d', '\u043d', '\u041e', '\u043e', '\u041f',
            '\u043f', '\u0420', '\u0440', '\u0421', '\u0441', '\u0422', '\u0442', '\u0423', '\u0443',
            '\u0424', '\u0444', '\u0425', '\u0445', '\u0426', '\u0446', '\u0427', '\u0447', '\u0428',
            '\u0448', '\u0429', '\u0449', '\u042a', '\u044a', '\u042b', '\u044b', '\u042c', '\u044c',
            '\u042d', '\u044d', '\u042e', '\u044e', '\u042f', '\u044f');
        $arr_replace_cyr = array('А', 'а', 'Б', 'б', 'В', 'в', 'Г', 'г', 'Д', 'д', 'Е', 'е',
            'Ё', 'ё', 'Ж', 'ж', 'З', 'з', 'И', 'и', 'Й', 'й', 'К', 'к', 'Л', 'л', 'М', 'м', 'Н', 'н', 'О', 'о',
            'П', 'п', 'Р', 'р', 'С', 'с', 'Т', 'т', 'У', 'у', 'Ф', 'ф', 'Х', 'х', 'Ц', 'ц', 'Ч', 'ч', 'Ш', 'ш',
            'Щ', 'щ', 'Ъ', 'ъ', 'Ы', 'ы', 'Ь', 'ь', 'Э', 'э', 'Ю', 'ю', 'Я', 'я');
        $str1 = json_encode($str);
        $str2 = str_replace($arr_replace_utf, $arr_replace_cyr, $str1);
        return $str2;
    }

}

function getTel($tele) {
    $ar_tele = array(' ', '(', ')', '+', '-', '_');
    $tele = str_replace($ar_tele, '', $tele);

    return $tele;
}
