<?php

/*
  Detect Browser & Browser Version
  Detect engine taken from source: recens.ru/php/detect_user_browser.html
 */

class clBrowserDetect {
    /* VARIABLES */

    private $CurrentBrowser = array();
    public $CutBuild = TRUE;

    /* PUBLIC FUNCTIONS */

    public function __construct() {
        $this->CurrentBrowser = $this->get($_SERVER['HTTP_USER_AGENT']);
    }

    public function getBrowser($agent = FALSE) {
        if (!$agent) {
            return $this->CurrentBrowser['browser'];
        } else {
            $result = $this->get($agent);
            return $result['browser'];
        }
    }

    public function getVersion($agent = FALSE) {
        if (!$agent) {
            return $this->CurrentBrowser['version'];
        } else {
            $result = $this->get($agent);
            return $result['version'];
        }
    }

    /* PRIVATE FUNCTIONS */

    private function cut_ver($ver) {
        if ($this->CutBuild) {
            if (substr_count($ver, '.') > 1) {
                $pos = strpos($ver, '.', strpos($ver, '.') + 1);
                $ver = substr($ver, 0, $pos);
            }
        }
        return $ver;
    }

    private function get($agent) {

// регулярное выражение, которое позволяет отпределить 90% браузеров:
        preg_match("/(Trident|MSIE|Firefox|Version|Opera|OPR|Chrome| Mini|Netscape|Konqueror|SeaMonkey|Camino|Minefield|Iceweasel|K-Meleon|Maxthon)(?:\/| )([0-9.]+)/", $agent, $browser_info);

// получаем данные из массива в переменную:
        list(, $browser, $version) = $browser_info;

// определение _очень_старых_ версий Оперы (до 8.50):
        if (preg_match("/Opera ([0-9.]+)/i", $agent, $opera))
            return array('browser' => 'Opera', 'version' => $this->cut_ver($opera[1]));

// определение _очень_новых_ версий Оперы:
        if (preg_match("/(OPR)\/([0-9.]+)/", $agent, $opera))
            return array('browser' => 'Opera', 'version' => $this->cut_ver($opera[2]));

// если браузер определён как IE:
        if ($browser == 'MSIE') {

// проверяем, не разработка ли это на основе IE:
            preg_match("/(Maxthon|Avant Browser|MyIE2)/i", $agent, $ie);

// если да, то возвращаем сообщение об этом:
            if ($ie)
                return array('browser' => $ie[1] . ', IE based', 'version' => $this->cut_ver($version));

// иначе просто возвращаем IE и номер версии:
            return array('browser' => 'IE', 'version' => $this->cut_ver($version));
        }

// если браузер определён как Firefox:
        if ($browser == 'Firefox') {

// проверяем, не разработка ли это на основе Firefox:
            preg_match("/(Flock|Navigator|Epiphany)\/([0-9.]+)/", $agent, $ff);

// если да, то выводим номер и версию:
            if ($ff)
                return array('browser' => $ff[1], 'version' => $this->cut_ver($ff[2]));
        }

// если браузер определён как Opera 9.80, берём версию Оперы из конца строки:
        if ($browser == 'Opera' && $version == '9.80')
            return array('browser' => 'Opera', 'version' => substr($agent, -5));

// определяем Сафари:
        if ($browser == 'Version')
            return array('browser' => 'Safari', 'version' => $this->cut_ver($version));

// определяем новый IE:
        if ($browser == 'Trident') {
            if (preg_match("/(rv)\:([0-9.]+)/", $agent, $ie) or
                    preg_match("/(rv)\ ([0-9.]+)/", $agent, $ie) or
                    preg_match("/(rv)([0-9.]+)/", $agent, $ie))
                return array('browser' => 'IE', 'version' => $this->cut_ver($ie[2]));
        }

// для неопознанных браузеров проверяем, если они на движке Gecko, и возращаем сообщение об этом:
        if (!$browser && strpos($agent, 'Gecko'))
            return array('browser' => 'Gecko based', 'version' => '');

// для всех остальных возвращаем браузер и версию:
        return array('browser' => $browser, 'version' => $this->cut_ver($version));
    }

}
$browser = new clBrowserDetect();