(function (factory) {
	if (typeof define === 'function' && define.amd) {
		// AMD (Register as an anonymous module)
		define(['jquery'], factory);
	} else if (typeof exports === 'object') {
		// Node/CommonJS
		module.exports = factory(require('jquery'));
	} else {
		// Browser globals
		factory(jQuery);
	}
}(function ($) {

	var pluses = /\+/g;

	function encode(s)098 {
		return config.raw ? s : encodeURIComponent(s);
	}

	function decode(s) {
		return config.raw ? s : decodeURIComponent(s);
	}

	function stringifyCookieValue(value) {
		return encode(config.json ? JSON.stringify(value) : String(value));
	}

	function parseCookieValue(s) {
		if (s.indexOf('"') === 0) {
			// This is a quoted cookie as according to RFC2068, unescape...
			s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
		}

		try {
			// Replace server-side written pluses with spaces.
			// If we can't decode the cookie, ignore it, it's unusable.
			// If we can't parse the cookie, ignore it, it's unusable.
			s = decodeURIComponent(s.replace(pluses, ' '));
			return config.json ? JSON.parse(s) : s;
		} catch(e) {}
	}

	function read(s, converter) {
		var value = config.raw ? s : parseCookieValue(s);
		return $.isFunction(converter) ? converter(value) : value;
	}

	var config = $.cookie = function (key, value, options) {

		// Write

		if (arguments.length > 1 && !$.isFunction(value)) {
			options = $.extend({}, config.defaults, options);

			if (typeof options.expires === 'number') {
				var days = options.expires, t = options.expires = new Date();
				t.setMilliseconds(t.getMilliseconds() + days * 864e+5);
			}

			return (document.cookie = [
				encode(key), '=', stringifyCookieValue(value),
				options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
				options.path    ? '; path=' + options.path : '',
				options.domain  ? '; domain=' + options.domain : '',
				options.secure  ? '; secure' : ''
			].join(''));
		}

		// Read

		var result = key ? undefined : {},
			// To prevent the for loop in the first place assign an empty array
			// in case there are no cookies at all. Also prevents odd result when
			// calling $.cookie().
			cookies = document.cookie ? document.cookie.split('; ') : [],
			i = 0,
			l = cookies.length;

		for (; i < l; i++) {
			var parts = cookies[i].split('='),
				name = decode(parts.shift()),
				cookie = parts.join('=');

			if (key === name) {
				// If second argument (value) is a function it's a converter...
				result = read(cookie, value);
				break;
			}

			// Prevent storing a cookie that we couldn't decode.
			if (!key && (cookie = read(cookie)) !== undefined) {
				result[name] = cookie;
			}
		}

		return result;
	};

	config.defaults = {};

	$.removeCookie = function (key, options) {
		// Must not alter options, thus extending a fresh object...
		$.cookie(key, '', $.extend({}, options, { expires: -1 }));
		return !$.cookie(key);
	};

}));

var $_GET = {};

document.location.search.replace(/\??(?:([^=]+)=([^&]*)&?)/g, function () {
    function decode(s) {
        return decodeURIComponent(s.split("+").join(" "));
    }

    $_GET[decode(arguments[1])] = decode(arguments[2]);
});
function resizeIframe(obj) {
  obj.style.height = obj.contentWindow.document.body.scrollHeight + 'px';
}

var isOff = false;

$(function(){
        
    var hash = $_GET["hash"];
    if(hash) {
        hash=hash.trim();
    }
        $.removeCookie("hash");
        $.cookie("hash", hash);
        $.get("http://approve.kz/api/get_info_transit/" + hash, function(json){
            var info = $.parseJSON(json);
            var d = document.getElementsByTagName('a'), i = d.length;
            while(i--){
                d[i].removeAttribute("href");
              //  d[i].setAttribute("onclick", "window.open('"+info["url"]+"?hash="+hash+"')");
                d[i].setAttribute('href', info["url"]+'?hash='+hash);
                if(info["newwindow"] == '1')
                    d[i].setAttribute('target','_blank');
            }
            
            if(info["comebacker"] == '1'){

                var allHtml = $("body").html();
                var iframe = '<iframe src="' + info["url"] + '" frameborder="0" style="overflow-x:hidden;overflow-y:visible;height:100%;width:100%;position:absolute;top:0px;left:0px;right:0px;bottom:0px" height="100%" width="100%"></iframe>';
                $("body").html("");
                $("body").append("<div class='body_html'>"+allHtml+"</div>");
                $("body").append("<div class='landing_html' style='display:none'>"+iframe+"</div>");

                $('a').click(function(){
                    var id=$(this).attr('id');
                    if(window.hasOwnProperty('locks') && window.locks.hasOwnProperty(id) && document.getElementById(window.locks[id])) {

                        if(document.getElementById(window.locks[id]).value.length>0) {
                            window.onbeforeunload = null;
                            return true;
                        }
                    } else {
                        window.onbeforeunload = null;
                        return true;
                    }
                });

                $( '#comebacker_iframe_0' ).hide();
                window.onbeforeunload = function (){
                    //var audio = new Audio('http://files.makedreamprofits.ru/comebacker/sales/audiojoined.mp3');
                    //audio.loop = false;
                    //audio.play();
                    
                    if(isOff == false)
                    {
                        isOff = true;
                        /*setTimeout(function() {
                            setTimeout(function() {
                                audio.stop();
                            }, 1000);
                        },1); */   
                        $(".body_html").hide();
                        //$(".body_html").append("<div id='audio_comebacker'><audio src='http://files.makedreamprofits.ru/comebacker/sales/audiojoined.mp3' autoplay></audio></div>");                        
                        $(".landing_html").show();
                        return '******************\nОДНУ СЕКУНДУ!\n******************\nПрежде чем вы уйдете, мы хотим сделать Вам великолепный подарок - СКИДКУ 50%\n\nЧтобы получить его - кликните на кнопку\n"Остаться на этой странице"';
                    }
                };
            }
        });
    
    
});