<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');
/*
  | -------------------------------------------------------------------------
  | URI ROUTING
  | -------------------------------------------------------------------------
  | This file lets you re-map URI requests to specific controller functions.
  |
  | Typically there is a one-to-one relationship between a URL string
  | and its corresponding controller class/method. The segments in a
  | URL normally follow this pattern:
  |
  |	example.com/class/method/id/
  |
  | In some instances, however, you may want to remap this relationship
  | so that a different class/function is called than the one
  | corresponding to the URL.
  |
  | Please see the user guide for complete details:
  |
  |	http://codeigniter.com/user_guide/general/routing.html
  |
  | -------------------------------------------------------------------------
  | RESERVED ROUTES
  | -------------------------------------------------------------------------
  |
  | There area two reserved routes:
  |
  |	$route['default_controller'] = 'welcome';
  |
  | This route indicates which controller class should be loaded if the
  | URI contains no data. In the above example, the "welcome" class
  | would be loaded.
  |
  |	$route['404_override'] = 'errors/page_missing';
  |
  | This route will tell the Router what URI segments to use if those provided
  | in the URL cannot be matched to a valid route.
  |
 */

switch ($_SERVER['HTTP_HOST']) {

    default:

        $route['update'] = "update/update_controller/index";
        $route['api'] = "api/api_index";
        $route['api/get_info'] = "api/api_index/get_info";
        $route['api/insert_transit'] = "api/api_index/insert_transit";
        $route["api/get_info_transit/(:any)"] = "api/api_index/get_info_transit/$1";
        $route['api/loader/(:any)'] = "api/api_index/loader/$1";

        $route['default_controller'] = 'home';

        $route['404_override'] = '';

        $route['offer/list'] = "offer/list_offers";
        $route['offer/view/id/(:any)'] = "offer/view_offer/id/$1";

        $route['tickets'] = "help/ticket/lists";
        $route['tickets/(:any)'] = "help/ticket/$1";

        $route['news'] = "news/news_list_for_all";
        $route['for_advertisers'] = "home/for_advertisers";

        $route["cron/(:any)"] = "cron/$1";

        /*
         * Cooperators
         */
        $route['cooperator/(:any)'] = 'user/cooperators/home_cooperators/$1';

        /*
         * Admin
         */
        $route['admin'] = 'user/admin/home';
        $route['admin/log'] = 'user/admin/log/users_log';
        $route['admin/email'] = 'user/admin/email/add_email';
        $route['admin/news'] = 'user/admin/news/news';
        $route['admin/news/edit_news/(:num)'] = 'user/admin/news/edit_news/index/$1';
        $route['admin/news/delete_news/(:num)'] = 'user/admin/news/delete_news/index/$1';
        $route['admin/news/(:any)'] = 'user/admin/news/$1';
        $route['admin/user/(:num)'] = 'user/admin/user/view_admin/view/$1';
        $route['admin/users'] = 'user/admin/user/list_admin';
        $route['admin/users/(:any)'] = 'user/admin/user/list_admin/$1';

        $route['admin/stats/(:any)/(:num)'] = 'user/admin/user/stats_admin/$1/$2';
        $route['admin/offer/add'] = "user/admin/offer/add_offer";
        $route['admin/offer/edit/delete_page/(:any)'] = "user/admin/offer/edit_offer/delete_page/$1";
        $route['admin/offer/edit/delete_gasket/(:any)'] = "user/admin/offer/edit_offer/delete_gasket/$1";
        $route['admin/offer/edit/(:any)'] = "user/admin/offer/edit_offer/index/$1";
        $route['admin/offer/private'] = "user/admin/offer/private_admin";
        $route['admin/offer/private/(:any)'] = "user/admin/offer/private_admin/$1";
        $route['admin/offer/list'] = 'user/admin/offer/list_admin/passed_moderation';
        $route['admin/offer/list/moderation'] = 'user/admin/offer/list_admin/not_passed_moderation';
        $route['admin/offer/take_moderation/(:any)'] = 'user/admin/offer/take_moderation/$1';
        $route['admin/offer/delete/(:any)'] = 'user/admin/offer/list_admin/delete/$1';

        $route['admin/visitors'] = 'user/admin/visitors/visitors_admin';
        $route['admin/visitors/(:any)'] = 'user/admin/visitors/visitors_admin/$1';
        $route['admin/user/ind/(:any)'] = 'user/admin/user/ind_admin/$1';
        $route['admin/user/payments'] = 'user/admin/user/payments_admin';
        $route['admin/user/payments/(:any)'] = 'user/admin/user/payments_admin/$1';
        $route['admin/user/operations/(:any)'] = 'user/admin/user/operations_admin/$1';
        $route['admin/user/cooperators'] = 'user/admin/user/cooperators_admin';
        $route['admin/user/cooperators/(:any)'] = 'user/admin/user/cooperators_admin/$1';
        $route['admin/user/edit/go'] = 'user/admin/user/edit_admin/go';
        $route['admin/user/edit/edit_advert'] = 'user/admin/user/edit_admin/edit_advert';
        $route['admin/user/edit/change_type/(:any)'] = 'user/admin/user/edit_admin/change_type/$1';
        $route['admin/user/edit/start/(:any)'] = 'user/admin/user/edit_admin/index/$1';
        $route['admin/settings'] = 'user/admin/settings/settings_admin';
        $route['admin/settings/go'] = 'user/admin/settings/settings_admin/go';
        $route['admin/user/add_advert'] = 'user/admin/user/add_advert';
        $route['admin/user/add_advert/go'] = 'user/admin/user/add_advert/go';

        /*
         * Advertiser
         */
        $route['advertiser'] = "user/advertiser/home_advertiser";
        $route['advertiser/balancepage'] = "user/advertiser/home_advertiser/balancepage";
        $route['advertiser/offer/my'] = "user/advertiser/offer/my_advertiser";
        $route['advertiser/stat/orders'] = "user/advertiser/stat/orders_advertiser";
        $route['advertiser/stat/requests'] = "user/advertiser/stat/requests_advertiser";
        $route['advertiser/stat/requests/(:any)'] = "user/advertiser/stat/requests_advertiser/$1";
        $route['advertiser/stat/status/(:any)'] = "user/advertiser/stat/change_status_advertiser/$1";
        $route['advertiser/register'] = "user/advertiser/register_advertiser";
        $route['advertiser/getForChart'] = "user/advertiser/home_advertiser/getForChart";
        $route['advertiser/finance'] = "user/advertiser/finance/index_finance";
        $route['advertiser/stat/list'] = "user/advertiser/stat/stat_advertiser";
        $route['advertiser/stat/list/(:any)'] = "user/advertiser/stat/stat_advertiser/$1";
        /*
         * Webmaster
         */
        //$route['webmaster/(:any)'] = "user/webmaster/$1";
        $route['webmaster'] = "user/webmaster/home_webmaster";
        $route['webmaster/getForChart'] = "user/webmaster/home_webmaster/getForChart";
        $route['webmaster/holdpage'] = "user/webmaster/home_webmaster/holdpage";
        $route['webmaster/balancepage'] = "user/webmaster/home_webmaster/balancepage";
        $route['webmaster/flow/(:any)'] = "user/webmaster/flow_webmaster/$1";
        $route['webmaster/offer/operation/(:any)'] = "user/webmaster/offer/operation_webmaster/$1";
        $route['webmaster/offer/my'] = "user/webmaster/offer/my_webmaster";
        $route['([A-Za-z0-9]{4,6})'] = "user/webmaster/stat/record/url/$1";
        $route['([A-Za-z0-9]{4,6})/(:any)'] = "user/webmaster/stat/record/url/$1/$2";
        $route['webmaster/money'] = 'user/webmaster/money/money';
        $route['webmaster/deposit_funds'] = 'user/webmaster/money/money/deposit_funds';
        $route['webmaster/stat/list'] = 'user/webmaster/stat/stat_list_webmaster';
        $route['webmaster/stat/list/(:any)'] = 'user/webmaster/stat/stat_list_webmaster/$1';
        $route['webmaster/money/payment'] = 'user/webmaster/money/payment';
        $route['webmaster/money/payment/(:any)'] = 'user/webmaster/money/payment/$1';
        $route['webmaster/settings'] = 'user/webmaster/settings/settings_webmaster';
        $route['webmaster/settings/(:any)'] = 'user/webmaster/settings/settings_webmaster/$1';
        $route['webmaster/stat/requests'] = 'user/webmaster/stat/requests_webmaster';
        $route['webmaster/register'] = 'user/webmaster/register_webmaster';
        $route['webmaster/register/(:any)'] = 'user/webmaster/register_webmaster/$1';

        break;
}

/* End of file routes.php */
/* Location: ./application/config/routes.php */
