<?php

class Recover extends CI_Controller {

    public function index() {
        $this->load->model("login_model", "login");
        $this->load->library('form_validation');

        $this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email|email_check');

        $this->email_check($this->input->post("email"));
        if ($this->form_validation->run() == FALSE) {
            $this->load->view("pages/account/recover");
        } else {
            $this->load->model("email/email_model", "email_model");
            $this->load->model("email/email_message_model", "email_message_model");
            $this->load->helper('string');
            $query=$this->db->get_where("users", array("email" => $this->input->post("email")));
            
            if ($query->num_rows() == 0) {
                $this->form_validation->set_message('email_check', 'Данный email отсутствует в базе');
                $this->load->view("pages/account/recover");
                return false;
            }
            $user_id = $query->row()->id;
            $new_password = random_string('alnum', 8);

            $data = array(
                "user_id" => $user_id,
                "hash" => md5(random_string('alnum', 16)),
                "new_hash" => $this->user_model->getMD5($new_password),
                "time" => time() + config_item("email_recover_time")
            );

            $this->db->insert("users_recover", $data);
            /*
             * Отправляем сообщение на емайл
             */
            $email_text = "Ваш новый пароль: " . $new_password . "<br />"
                    . "Для того, чтобы изменения вступили в силу, пожалуйста, перейдите по ссылке:<br/>"
                    . "<a href='" . base_url() . "account/recover/confirm/" . $data["hash"] . "'>"
                    . base_url() . "account/recover/confirm/" . $data["hash"] . ""
                    . "</a><br />"
                    . "У вас есть ровно 15 минут, чтобы перейти по ссылке!<br />"
                    . "<br/>"
                    . "<b>Внимания!</b> Если это были не вы, просим вас не переходить по ссылке!";
            $this->email_model->setSubject("Восстановление пароля");
            $message = $this->email_message_model->getMessageForNews("Восстановление пароля", $email_text);
            $this->email_model->setMessage($message);
            $this->email_model->setEmails(array($this->input->post("email")));
            $this->email_model->send();
            /*
             * Показываем сообщение об отправке
             */
            $this->load->view("pages/account/recover_sended");
        }
    }

    function email_check($str) {
        $query = $this->db->get_where("users", array("email" => $str));
        if ($query->num_rows() == 0) {
            $this->form_validation->set_message('email_check', 'Данный email отсутствует в базе');
            return false;
        } else
            return true;
    }

    function confirm($hash = '') {
        if (strlen(trim($hash)) == 0) {
            show_404();
            return;
        }
        $query = $this->db->get_where("users_recover", array("hash" => $hash));
        if ($query->num_rows() == 0) {
            show_404();
            return;
        }
        $row = $query->row();
        if ($row->time <= time()) {
            show_404();
            return;
        }
        $data = array(
            "passhash" => $row->new_hash
        );
        $this->db->where("id", $row->user_id)->update("users", $data);
        redirect(base_url() . "account/login");
    }

}
