<?php

/*
 * Описание API системы
 * Чтобы обратиться к API рекламодатель должен авторизоваться, 
 * отправив его индивидуальный API-key на сервер, вместе с передаваемыми данными.
 * Например:
 * POST={api_key=s8sd87f7788asd097768f&hash=89fsd768sf9v787677as&name=Марат&phone=79372920862&...}
 */

class Api_index extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model("api/api_advertiser", "api");
        $this->load->model("user/webmaster/country_model", "country_model");
        //СМС-Оповещение рекламодателя
        $this->load->model("sms_model");
        $this->load->library("user_agent");
    }

    public function index() {
        
        if ($this->api->isNormal() == false) {
            die("false");
        }
        $userQuery = $this->api->hasApiKeyInDb();
        if ($userQuery->num_rows() == 0) {
            die("false");
        }
        $userInfo = $userQuery->row();
        $transitInfo = $this->api->getHashInfo();
        //print_r($transitInfo);
        if ($transitInfo == false) {
            
            $transitInfo["transit"]->user_id = config_item("default_webmaster");
            $url = $this->input->post("referer");
 
            $query = $this->db->select("pages.url AS page_url, pages.id AS page_id, pages.offer_id AS offer_id, offers.countries")
                    ->where("pages.url", $url)
                    ->from("pages")
                    ->join("flows", "pages.id=flows.page_id", "left")
                    ->join("gaskets", "gaskets.id=flows.gasket_id", "left")
                    ->join("offers", "offers.id=pages.offer_id", "left")
                    ->get();
 //print_r($query->row());
            $transitInfo["transit"]->flow_id = (isset($query->row()->id)? $query->row()->id : 0);
            $transitInfo["transit"]->page_id = $query->row()->page_id;
            $transitInfo["transit"]->offer_id = $query->row()->offer_id;
            $transitInfo["transit"]->gasket_id = (isset($query->row()->gasket_id) ? $query->row()->gasket_id : 0);
//echo $this->db->last_query();
            $query2 = $this->db->get_where("goals", array("id" => $this->api->getGoalId()));
            if ($query2->num_rows() == 0) {
                //Цель отсутствует
                return false;
            }
            $row = $query2->row();

            $transitInfo["profit"] = $row->price;
            $transitInfo["real_profit"] = $row->real_price;
        }

        //Модуль индивидуальных выплат
        $indQuery = $this->db->get_where("ind_payments", array(
            "user_id" => $transitInfo["transit"]->user_id,
            "goal_id" => $this->api->getGoalId()
                )
        );
        if ($indQuery->num_rows() > 0)
            $profit = $indQuery->row()->price;
        else
            $profit = $transitInfo["profit"];

        $arr = array(
            "user_id" => $transitInfo["transit"]->user_id,
            "transit_id" => $transitInfo["transit"]->id,
            "flow_id" => $transitInfo["transit"]->flow_id,
            "goal_id" => $this->api->getGoalId(),
            "page_id" => $transitInfo["transit"]->page_id,
            "gasket_id" => $transitInfo["transit"]->gasket_id,
            "offer_id" => $transitInfo["transit"]->offer_id,
            "dop_info" => $this->api->getDopInfo(),
            "profit" => $profit,
            "real_profit" => $transitInfo["real_profit"],
                //"ip"		=>	$transitInfo["ip"],
                //"referer"		=>	$transitInfo["referer"]
        );

        /*
         * Интеграция с LEADVERTEX
         */
        $this->load->model("email/email_model", "email_model");
        $queryLead = $this->db->get_where("offers_leadvertex", array("offer_id" => $arr["offer_id"]));
        if ($queryLead->num_rows() > 0) {
            $row = $queryLead->row();
            $offer_row = $this->db->get_where("offers", array("id" => $arr["offer_id"]))->row();
            $dop_info = json_decode($arr["dop_info"]);
            $this->email_model->send();
            $postFields = "country=BY"
                    . "&fio=" . $dop_info->fio
                    . "&phone=" . $dop_info->phone
                    . "&domain=tusa.biz"
                    . "&price=" . ($offer_row->price + 50000)
                    . "&total=" . ($offer_row->price + 50000)
                    . "&ip=" . long2ip($transitInfo["ip"])
                    . "&referer=" . $transitInfo["referer"]
                    . "&additional1=" . $arr["user_id"]
                    . "&additional2=" . $offer_row->name
            ;
            $ch = curl_init($row->url);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postFields);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $result = curl_exec($ch);
            curl_close($ch);

            $arr["leadvertex_id"] = (int) $result;
        }

        $this->api->insertNewRequest($arr);

        
        $this->load->model("offer/info_model", "offer_model");
        $emails=$this->getCooperatorsEmail($arr["offer_id"]);
        if($arr['offer_id']==44) {
            $emails[]='b2bunigroup@gmail.com';
        }
        $this->email_model->setSubject("Новый заказ");
        
        $offer_title=$this->offer_model->getOfferTitle($arr['offer_id']);
        $dop_info = json_decode($arr["dop_info"]);
        $message = "Оффер - ".$offer_title."<BR />
            ФИО: ".$dop_info->fio."<BR />
            Тел: ".$dop_info->phone."<BR />
            Адрес: ".$dop_info->address."
            ";
        $this->email_model->setMessage($message);
        $this->email_model->setEmails($emails);
        $this->email_model->send();
     
         

        /*
         *  $this->email_model->
          $this->sms_model->setPhone($userInfo->phone);
          $this->sms_model->setMessage("Новая заявка c tusa.biz");
          $this->sms_model->send(); */

        die("true");
    }

    private function getCooperatorsEmail($offer_id) {
        // $coops=$this->db->get_where("cooperators", array('send_email' => 1, 'status' => 1))->result();
        $query = $this->db->query("SELECT `email`, `offers` FROM `cooperators` WHERE `send_email`='1' AND `status`='1'");
        $coops=$query->result();
 
         $return=array();
         foreach($coops as $coo) {             
             $offers=$coo->offers;
             if(strpos($offers, ',')) {
                 $offers=explode(',',$offers);
                 if(in_array($offer_id, $offers))
                     $return[]=$coo->email;
             }
             else {
                 if($offers==$offer_id)
                     $return[]=$coo->email;
             }      
      
         }
         return $return;
    }
    public function get_info() {
        if ($this->api->isNormal() == false) {
            die("false");
        }
        if ($this->api->hasApiKeyInDb() == false) {
            die("false");
        }
        $this->db->select("offers.postclick, flows.metrika, flows.mail, flows.google")
                ->from("transits")
                ->join("flows", "flows.id=transits.flow_id", "left")
                ->join("offers", "offers.id=transits.offer_id", "left")
                ->where("hash", $this->api->getHash());
        $transitQuery = $this->db->get();
        if ($transitQuery->num_rows() == 0) {
            //Такой hash отсутствует
            die("false");
        }
        $row = $transitQuery->row();
        $array = array(
            "postclick" => $row->postclick,
            "metrika_id" => $row->metrika,
            "mail_id" => $row->mail,
            "google_id" => $row->google
        );
        echo json_encode($array);
    }

    public function get_info_transit($hash = '') {

        if ($hash == '')
            $hash = $this->api->getHash();
        if (strlen(trim($hash)) != 32)
            return;
        $query = $this->db->select("f.comebacker, f.newwindow, p.url")
                ->from("transits t")
                ->join("flows f", "f.id=t.flow_id", "left")
                ->join("pages p", "p.id=t.page_id", "left")
                ->where("t.hash", $hash)
                ->get();
        if ($query->num_rows() == 0)
            return;
        $row = $query->row();

        $info = array(
            "comebacker" => $row->comebacker,
            "newwindow" => $row->newwindow,
            "url" => $row->url
        );
        header('Access-Control-Allow-Origin: *');
        echo json_encode($info);
    }

    public function insert_transit() {
        $utms = '';
        $data1 = $this->input->post("data1");
        $data2 = $this->input->post("data2");
        $referer = $this->input->post("referer");
        $data = array(
            "referer" => $referer,
            "ip" => ip2long($this->input->post("ip")),
            "agent" => $this->input->post("user_agent"),
            "date" => date("Y-m-d"),
            "time" => date("H:i:s")
        );
        $data["country_code"] = $this->country_model->get(checkStr($this->input->post("ip"), false));

        if ($data1)
            $data['data1'] = $data1;
        if ($data2)
            $data['data2'] = $data2;

        $result = $this->api->addTransit($data);
        if (!is_array($result)) {
            $return = array(
                "transit_hash" => $result
            );
        } else { // traffic back
            $return = array(
                "transit_hash" => $result['transit_hash'],
                "trafficback_url" => $result['trafficback_url']
            );
        }
        header('Access-Control-Allow-Origin: *');
        echo json_encode($return);

        /*
          if (is_array($result)) {
          $url = $result["trafficback_url"];
          redirect($url);
          } else {
          if (trim($utms) == "")
          redirect($result);
          else
          redirect($result . "&" . $utms);
          }
         * 
         */
    }

    /* public function loader($http = ''){
      file_put_contents('./httploaders.txt', $http . "\n", FILE_APPEND | LOCK_EX);
      echo "true";
      } */
}
