<?php

class Ticket extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->helper("date");
    }

    function view($id = 0) {

        checkInt($id);

        $query = $this->db->select("t.*, u.email")
                ->from("ticket t")
                ->join("users u", "t.user_id=u.id", "left")
                ->where("t.id", $id)
                ->get();

        if ($query->num_rows == 0) {
            show_404();
            return;
        } else {
            $ticket = $query->row();
        }

        $this->db->where("ticket_id", $id)
                ->from("ticket_message tm")
                ->order_by("time", "ASC");
        $query = $this->db->get();
        $ticket_message = $query->result();

        //unread to read
        if ($this->user_model->info->type == 0) {
            $this->db->where("ticket_id", $id)->update("ticket_message", array("read" => "true"));
        }
        if ($this->user_model->info->type == 3) {
            $this->db->where("ticket_id", $id)->update("ticket_message", array("read_admin" => "true"));
        }

        $data = array(
            'title' => 'Тикет',
            'ticket' => $ticket,
            'result' => $ticket_message
        );

        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
        $this->load->view("pages/help/view", $data);
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

    function lists($type = 'open') {

        if ($type == 'open') {
            $title = 'Открытые тикеты';
            $status = '0';
        } else {
            $title = 'Закрытые тикеты';
            $status = '1';
        }

        $this->db->select('t.id, t.title, t.date, u.email, (SELECT COUNT(*) FROM ticket_message tm WHERE tm.ticket_id=t.id) AS message_num')
                ->from("ticket t")
                ->join("users u", "u.id=t.user_id", "left")
                ->where("t.status", $status);
        if ($this->user_model->info->type == 0)
            $this->db->where("t.user_id", $this->user_model->info->id);
        $this->db->order_by("date", "DESC");
        $query = $this->db->get();

        $result = $query->result();

        $data = array(
            'title' => $title,
            'type' => $type,
            'ticket' => $result
        );

        $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
        $this->load->view("pages/help/list", $data);
        $this->load->view("template/user/" . $this->user_model->type . "/foot");
    }

    function addComment() {
        if ($this->input->post("message")) {
            $data = array(
                "ticket_id" => checkStr($this->input->post("ticket_id")),
                "text" => checkStr($this->input->post("message")),
                "time" => date('Y-m-d H:i:s')
            );
            $query = $this->db->get_where("ticket", array("id" => $data["ticket_id"]));
            if (!in_array($this->user_model->info->type, array("2", "3")))
                if ($query->num_rows() == 0 || $query->row()->user_id != $this->user_model->info->id || $query->row()->status == "1") {
                    show_404();
                    return;
                }
            if (in_array($this->user_model->info->type, array("2", "3"))) {
                $whoAnswer = 1;
                $data["author"] = '1';
            } else
                $whoAnswer = 0;

            $this->db->insert("ticket_message", $data);
            $ticket_message_id=$this->db->insert_id();
            echo '
				<li class="comment' . ($whoAnswer ? " timeline-inverted" : "") . '">
				   <div class="timeline-badge ' . ($whoAnswer ? "danger" : "primary") . '">
				      <em class="fa ' . ($whoAnswer ? "fa-group" : "fa-male") . '"></em>
				   </div>
				   <div class="timeline-date">
				      <time datetime="' . normal_time(strtotime(date("Y-m-d H:i:s"))) . '"></time>
				   </div>
				   <div class="timeline-panel">
				      <div class="popover ' . ($whoAnswer ? "right" : "left") . '">
					 <div class="arrow"></div>
					 <h3 class="popover-title">' . ($whoAnswer ? "Служба поддержки" : "Ваш ответ") . '</h3>
					 <div class="popover-content">
					    <p>
							' . $data["text"] . '
					    </p>
					 </div>
				      </div>
				   </div>
				</li>
			';
  
            if (in_array($this->user_model->info->type, array("0", "2"))) {
                $this->load->model("email/email_model", "email_model");
                $emails[] = config_item("site_email");
                $this->email_model->setSubject("Ответ на тикет");
                $this->email_model->setMessage($data["text"]);
                $this->email_model->setEmails($emails);
                $this->email_model->send();
            }            
      

            if ($this->user_model->info->type == 0) {
                $this->db->where("id", $ticket_message_id)->update("ticket_message", array("read" => "true"));
            }
            if ($this->user_model->info->type == 3) {
                $this->db->where("id", $ticket_message_id)->update("ticket_message", array("read_admin" => "true"));
            }
        } else {
            //ПОДОЗРИТЕЛЬНОЕ ДЕЙСТВИЕ
            show_404();
        }
    }

    function add($id = 0) {

        if ($id > 0) {
            $query = $this->db->get_where("users", array("id" => $id));
            if ($query->num_rows() == 0)
                show_404();
        }

        $this->load->library('form_validation');

        $this->form_validation->set_rules('title', 'Тема', 'trim|required');
        $this->form_validation->set_rules('text', 'Текст', 'trim|required');
        //if($this->user_model->info->type >= 2)
        //	$this->form_validation->set_rules('user_id', 'User id', 'trim|required');

        if ($this->form_validation->run() == FALSE) {

            $data = array(
                'title' => 'Новый тикет',
                'user_id' => $id,
                
            );

            $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
            $this->load->view("pages/help/add", $data);
            $this->load->view("template/user/" . $this->user_model->type . "/foot");
        } else {
            $this->load->model('help/ticket_model');

            $title = checkStr($this->input->post('title'));
            $text = checkStr($this->input->post('text'));

            $ticket_data = array(
                'title' => $title,
                'user_id' => $this->user_model->info->id,
                "date" => date('Y-m-d H:i:s')
            );
            if ($this->user_model->info->type >= 2)
                $ticket_data["user_id"] = (int) $this->input->post("user_id");

            $ticket_id = $this->ticket_model->create_ticket($ticket_data);

            $message_data = array(
                'ticket_id' => $ticket_id,
                'text' => $text,
                'author' => '0',
                "time" => date('Y-m-d H:i:s')
            );
            if ($this->user_model->info->type >= 2)
                $message_data["author"] = '1';

            $this->ticket_model->add_message($message_data);

         
            if (in_array($this->user_model->info->type, array("0", "2"))) {
                $this->load->model("email/email_model", "email_model");
                $emails[] = config_item("site_email");
                $this->email_model->setSubject("Новый тикет");
                $this->email_model->setMessage($text);
                $this->email_model->setEmails($emails);
                $this->email_model->send();
            }             
          

            redirect(base_url() . "tickets");
        }
    }

    public function close($id = 0) {
        checkInt($id);
        $query = $this->db->get_where("ticket", array("id" => $id));
        if ($query->num_rows() == 0 || $query->row()->user_id != $this->user_model->info->id && !$this->user_model->isAdmin()) {
            //ПОДОЗРИТЕЛЬНОЕ ДЕЙСТВИЕ
            show_404();
            return;
        }
        $this->db->where("id", $id)->update("ticket", array("status" => "1"));
        redirect(base_url() . "tickets/view/" . $id);
    }

}

?>