<?php

class Add_Email extends CI_Controller {

    function index() {
        
        $this->load->library('form_validation');

        $this->form_validation->set_rules('name', 'тема', 'trim|required|max_length[100]|htmlspecialchars');
        $this->form_validation->set_rules('descr', 'текст', 'trim|required');

        if ($this->form_validation->run() == FALSE) {
            $data = array(
                'title' => 'Емайл рассылка'
            );

            $info["sends"] = $this->db->order_by("id", "desc")->get("users_send_history")->result();

            $this->load->view("template/user/" . $this->user_model->type . "/head", $data);
            $this->load->view("pages/user/" . $this->user_model->type . "/email/add_email", $info);
            $this->load->view("template/user/" . $this->user_model->type . "/foot");
        } else {

            $data = array(
                "name" => $this->input->post("name"),
                "descr" => $this->input->post("descr")
            );

            $emails = array();

            if (config_item("mailchimp_api_key")!='') { // если шлем через mailchimp.com
                $this->load->library('mailchimp');

                if (ENVIRONMENT == 'development') {
                    $list_id = config_item("mailchimp_list_id_test");
                    $emails[]=101;
                } else {
                    $list_id = config_item("mailchimp_list_id");

                    //Получаем список емайл, на которые нужно отправить сообщение (только те, что не добавлены в базу на mailchimp
                    $this->db->select("email")->from("users")->where("type", "0")->where("mailchimp", "0");
                    $query = $this->db->get();
                    foreach ($query->result() AS $row) {
                        // добавляем получателей на mailchimp
                        $result = $this->mailchimp->call('lists/subscribe', array(
                            'id' => config_item("mailchimp_list_id"),
                            'email' => array('email' => $row->email),
                            'merge_vars' => array('FNAME' => $row->name, 'LNAME' => $row->surname),
                            'double_optin' => false,
                            'update_existing' => true,
                            'replace_interests' => false,
                            'send_welcome' => false,
                        ));

                        $emails[] = $row->id;
                        // обновляем пользователя на присутствие в базе mailchimp
                        $this->db->where("id", $row->id)->update("users", array('mailchimp'=>'1'));
                    }
                    
                }
                // создаем рассылку через mailchimp
                $result = $this->mailchimp->call('campaigns/create', array(
                    'type' => 'regular',
                    'options' => array(
                        'list_id' => $list_id, // база адресатов
                        'subject' => $data["name"], // тема сообщения
                        'from_email' => config_item("site_email"),
                        'from_name' => config_item("site_name"),
                        'template_id' => config_item("mailchimp_template_id"), // шаблон
                        'title' => date("d.m.Y.") . ' - ' . substr($data["name"], 0, 80), // внутреннее название рассылки
                        'authenticate' => true // использовать SPF и DKIM
                    ),
                    'content' => array(
                        'sections' => array(                          
                            'mainbodytext' => $data["descr"] // текст рассылки, подставляется в шаблон
                        )
                    )
                ));
                
                // получаем ее ID
                $cid = $result['id'];
                // отправляем рассылку
                
                /* смотрим sections шаблона                
                 $result = $this->mailchimp->call('campaigns/template-content', array(
                    'cid' => $cid
                ));                 
                 */
                           
                $result = $this->mailchimp->call('campaigns/send', array(
                    'cid' => $cid
                ));
            } else { // отправляем стандартным методом
                $this->load->model("email/email_model", "email_model");
                $this->load->model("email/email_message_model", "email_message_model");

                $this->email_model->setSubject($data["name"]);
                $message = $this->email_message_model->getView($data["name"], $data["descr"]);
                $this->email_model->setMessage($message);

                $emails = array();
                if (ENVIRONMENT == 'development') {
                    $emails[] = config_item("site_email");
                    $emails[] = config_item("developer_email");
                } else {
                    //Получаем список емайл, на которые нужно отправить сообщение
                    $this->db->select("email")->from("users")->where("type", "0");
                    $query = $this->db->get();
                    foreach ($query->result() AS $row) {
                        $emails[] = $row->email;
                    }
                }

                $this->email_model->setEmails($emails);
                $this->email_model->send();
            }

            $info = array(
                "date" => date("Y-m-d"),
                "subject" => $data["name"],
                "text" => $data["descr"]
            );
            $this->db->insert("users_send_history", $info);

            redirect(base_url() . "admin/email");
        }
    }

}
