<?php

class News extends CI_Controller
{
	
	function index() {
		$this->load->helper("date_helper");
		$data = array(
			'title' => 'Список новостей',
			'result' => $this->db->order_by("added", "DESC")->get('news')->result()
		);

		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		$this->load->view("pages/news/list", $data);
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}

	function check_offer($id) {
		if(!is_numeric($id)) {
			$this->form_validation->set_message('check_offer', 'id не является числом');
			return FALSE;
		}
		else {
			if($id != 0) {
				$query = $this->db->get_where('offers', array('id' => $id));
				if($query->num_rows() == 0) {
					$this->form_validation->set_message('check_offer', 'Оффера с таким id не существует');
					return FALSE;
				}
			}
		}
		return TRUE;
	}

	function view($parametr = 'all') {

		$this->load->helper("date_helper");
		
			$this->security_model->checkInt($parametr);

			$query = $this->db->get_where('news', array('id' => $parametr));

			if($query->num_rows() == 0)
			{
				show_404();
			}
			else
			{
				$new = $query->row();

				$data = array(
					'title' => ''
					);

				if($new->offer_id == 0)
				{
					$data['title'] = 'Новость для всех офферов';
				}
				else
				{
					$query = $this->db->get_where('offers', array('id' => $new->offer_id));

					if($query->num_rows() == 0) {
						show_404();
					}
					else
					{	
						$offer = $query->row();
						$data['title'] = 'Новость для оффера: "'.$offer->name.'"';
					}
				}

				$data['new'] = $new;

				$this->load->view("template/user/".$this->user_model->type."/head", $data);
				$this->load->view("pages/user/".$this->user_model->type."/news/view_new", $data);
				$this->load->view("template/user/".$this->user_model->type."/foot");
			}
		
		
	}
}

?>