<?php

class Edit_Offer extends CI_Controller {

    public function index($id = 0) {

        $data = array(
            'title' => 'Редактирование оффера'
        );

        $query = $this->db->get_where("offers", array("id" => $id));
        if ($query->num_rows() == 0) {
            show_404();
            return;
        }

        // head
        $this->load->view("template/user/admin/head", $data);

        $this->load->library("form_validation");
        $this->load->model("offer/edit_model", "editOffer");

        $config = array(
            array('field' => 'name', 'rules' => 'required'),
            array('field' => 'cat', 'rules' => 'required'),
            array('field' => 'small_descr', 'rules' => 'required'),
            array('field' => 'price', 'rules' => 'required'),
            array('field' => 'advertiser_id', 'rules' => 'required'),
            array('field' => 'postclick', 'rules' => 'required'),
            array('field' => 'sex', 'rules' => 'required'),
            array('field' => 'age', 'rules' => 'required'),
            //array('field'   => 'pages', 'rules'   => 'required'),
            array('field' => 'goal_price', 'rules' => 'required'),
            array('field' => 'goal_real_price', 'rules' => 'required'),
        );

        $this->form_validation->set_rules($config);

        $pagesQuery = $this->db->select("name, url, id")->where("offer_id", $query->row()->id)->get("pages");
        $gasketsQuery = $this->db->select("name, url, id")->where("offer_id", $query->row()->id)->get("gaskets");
        $goalsQuery = $this->db->select("
            id, 
            name, 
            price, 
            real_price, 
            price_currency,
            real_price_currency")->where("offer_id", $query->row()->id)->get("goals");

        $pages = array();
        $gaskets = array();
        foreach ($pagesQuery->result() AS $page) {
            $pages[] = array($page->name, $page->url, $page->id);
        }
        foreach ($gasketsQuery->result() AS $page) {
            $gaskets[] = array($page->name, $page->url, $page->id);
        }

        $this->load->model("user/admin/user_admin_model", "userAdminModel");
        $adverts = $this->userAdminModel->getUserInfo(array(
            'select' => array('id', 'name', 'surname'),
            'type' => '1',
            'status' => '1'
        ));


        if ($this->form_validation->run() == FALSE) {
            $row = $query->row();
            $countries = explode(", ", $row->countries);
            $row->countries_array=$countries;
            
            $traffics = explode(", ", $row->places);
            $row->traffics_array=$traffics;            
      
            $this->load->view("pages/user/admin/offer/edit", array(
                "row" => $row,
                "pages" => $pages,
                "gaskets" => $gaskets,
                "goals" => $goalsQuery->result_array(),
                "adverts" => $adverts
                    )
            );
        } else {
            $this->editOffer->edit($id, $this->input->post());
        }

        // foot
        $this->load->view("template/user/admin/foot");
    }

    public function delete_page($id) {
        checkInt($id);

        $query = $this->db->get_where("pages", array("id" => $id));
        if ($query->num_rows() == 0) {
            show_404();
            return;
        }
        $this->load->model("offer/edit_model", "editOffer");
        $this->editOffer->delete_page($id);
    }

    public function delete_gasket($id) {
        checkInt($id);

        $query = $this->db->get_where("gaskets", array("id" => $id));
        if ($query->num_rows() == 0) {
            show_404();
            return;
        }
        $this->load->model("offer/edit_model", "editOffer");
        $this->editOffer->delete_gasket($id);
    }

}
