<?php

class Cooperators_admin extends CI_Controller {
	
	private $data;
	
	public function index(){
		$this->data["title"] = "Сотрудники Call-Центра";
		$this->load->view("template/user/".$this->user_model->type."/head", $this->data);
		$info = array(
		    "result" => $this->db->get("cooperators")                    
		);
                $offersArray = array();
                foreach($info["result"]->result() AS $row){
                    $offers = explode(", ", $row->offers);
                    $str = "";
                    $i = 1;
                    foreach($offers AS $offer){
                        $str .= "'".$offer."'";
                        if($i != count($offers))
                            $str .= ", ";
                        $i++;
                    }
                    $queryOffers = $this->db->query("SELECT id, name FROM offers WHERE id IN (".$str.")")->result();
                    $offersArray[$row->id] = $queryOffers;
                }
                $info["offers"] = $offersArray;
		$this->load->view("pages/user/admin/cooperators/cooperators", $info);
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}
	
	public function add(){
		$this->load->library('form_validation');
		
		$this->form_validation->set_rules('name', 'Фио', 'trim|required');
		
		$this->form_validation->set_rules('email', 'Емайл', 'trim|required|valid_email');

		if ($this->form_validation->run() == FALSE)
		{	
			$this->data["title"] = "Добавление нового сотрудника";
			$this->load->view("template/user/".$this->user_model->type."/head", $this->data);
			$info = array(
			    "offers"	=>	$this->db->get("offers")->result()
			);		
			$this->load->view("pages/user/admin/cooperators/add", $info);
			$this->load->view("template/user/".$this->user_model->type."/foot");
		}
		else
		{
			$this->load->helper('string');
			$data = array(
			    "name"	=>	checkStr($this->input->post("name")),
			    "email"	=>	checkStr($this->input->post("email")),
			    "phone"	=>	checkStr($this->input->post("phone")),
			    "password"	=>	random_string('alnum', 10),
			    "offers"	=>	implode(", ", $this->input->post("offer_id")),
                            "send_email"=>      ($this->input->post("send_email") == "on" ? '1' : '0'),
			);
			$this->db->insert("cooperators", $data);
			redirect(base_url() . "admin/user/cooperators");
		}
	}
        
	public function edit($id = 0){
		$this->load->library('form_validation');
		
		$this->form_validation->set_rules('name', 'Фио', 'trim|required');
	 
		$this->form_validation->set_rules('email', 'Емайл', 'trim|required|valid_email');

		if ($this->form_validation->run() == FALSE)
		{	
                        $coop = $this->db->where("id", $id)->get("cooperators")->row();
			$this->data["title"] = "Редактирование оператора";
			$this->load->view("template/user/".$this->user_model->type."/head", $this->data);
                        $coop_offers=explode(', ', $coop->offers);
			$info = array(
                            "coop"   =>$coop,
                            "my_offers" => $coop_offers,
			    "offers"	=>	$this->db->get("offers")->result()
			);		
			$this->load->view("pages/user/admin/cooperators/edit", $info);
			$this->load->view("template/user/".$this->user_model->type."/foot");
		}
		else
		{
			$this->load->helper('string');
			$data = array(
			    "name"	=>	checkStr($this->input->post("name")),
			    "email"	=>	checkStr($this->input->post("email")),
			    "phone"	=>	checkStr($this->input->post("phone")),
			    "password"	=>	checkStr($this->input->post("password")),
			    "offers"	=>	implode(", ", $this->input->post("offer_id")),
                            "send_email"=>      ($this->input->post("send_email") == "on" ? '1' : '0'),
			);
                        $this->db->where("id", $id)
				->update("cooperators", $data);
                        
		 
			redirect(base_url() . "admin/user/cooperators");
		}
	}        
	
	public function remove($id = 0){
		checkInt($id);
		$this->db->where("id", $id)->delete("cooperators");
		redirect(base_url() . "admin/user/cooperators");
	}
	
}
