<?php

class Ind_admin extends CI_Controller {

    public function index() {
        $data = array(
            'title' => 'Индивидуальные выплаты вебмастерам'
        );

        $this->load->library("form_validation");
        $this->form_validation->set_rules('user_id', 'User ID', 'trim|required');
        $this->form_validation->set_rules('goal_id', 'Goal ID', 'trim|required');
        $this->form_validation->set_rules('price', 'Цена', 'trim|required');
        if ($this->form_validation->run() == FALSE) {
            $this->load->view("template/user/admin/head", $data);

            $query = $this->db->select("i.id, i.user_id, i.price AS ind_price, o.name AS offer_name, g.name AS goal_name, g.id AS goal_id, g.price AS goal_price")
                    ->from("ind_payments i")
                    ->join("goals g", "g.id=i.goal_id", "left")
                    ->join("offers o", "o.id=g.offer_id", "left")
                    ->get();
            $info["result"] = $query->result();

            $this->load->view("pages/user/admin/user/ind_admin", $info);

            $this->load->view("template/user/admin/foot");
        } else {
            $data = array(
                "user_id" => (int) $this->input->post("user_id"),
                "goal_id" => (int) $this->input->post("goal_id"),
                "price" => (int) $this->input->post("price")
            );
            $users = $this->db->where("id", $data["user_id"])->get("users");
            if ($users->num_rows() == 0)
                die("Такого пользователя нет");
            $offers = $this->db->get_where("goals", array("id" => $data["goal_id"]));
            if ($offers->num_rows() == 0)
                die("Такой цели не существует");
            $this->db->insert("ind_payments", $data);
            redirect(base_url() . "admin/user/ind/index");
        }
    }

    function delete($id) {
        checkInt($id);
        $query = $this->db->get_where("ind_payments", array("id" => $id));
        if ($query->num_rows() == 0  ) {
            show_404();
            return;
        }
        $this->db->delete("ind_payments", array("id" => $id));
        redirect(base_url() . "admin/user/ind/index");
    }

}
