<?php

class Home_cooperators extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model("user/cooperators/cooperators_model", "c_model");
        $this->load->model("user_model", "u_model");
    }

    public function index($type = '0', $dop_status = '0') {

        $data["title"] = "Главная";
        $data["requests"] = $this->c_model->getRequests($type, $dop_status);
        $data["admin"] = false;

        $data["requests_type"] = array(
            "-3" => "inverse",
            "-2" => "warning",
            "-1" => "danger",
            "0" => "warning",
            "1" => "success"
        );
        $this->load->view("pages/user/cooperators/index", $data);
    }

    public function login() {
        $this->load->library('form_validation');

        $this->form_validation->set_rules('password', 'Пароль', 'trim|required');

        if ($this->form_validation->run() == FALSE) {
            $this->load->view("pages/user/cooperators/login");
        } else {
            if ($this->c_model->goLogin(checkStr($this->input->post("password"))))
                redirect(base_url() . "cooperator/index");
            else
                redirect(base_url() . "cooperator/login");
        }
    }
    
    function logout() {
        $this->session->set_userdata("cooperator_password", '');
        $this->session->unset_userdata();
        redirect(base_url() . "cooperator/index");
    }

    public function getHistory() {
        $this->load->helper("date_helper");
        $id = $this->input->post("request_id");
        $query = $this->db->from("requests_history")
                ->where("request_id", $id)
                ->order_by("date", "DESC")
                ->get();
        $result = $query->result();
        $go = "<div class='table-responsive'><table class='table table-condensed'>";
        $go .= "<thead>"
                . "<tr>"
                . "<th>Комментарий</th>"
                . "<th>Время</th>"
                . "<th>ID стрд.</th>"
                . "</tr>"
                . "</thead>"
                . "<tbody>";
        foreach ($result AS $row) {
            $go .= "<tr>"
                    . "<td>" . $row->comment . "</td>"
                    . "<td>" . normal_time(strtotime($row->date)) . "</td>"
                    . "<td align=center>" . $row->cooperator . "</td>"
                    . "</tr>";
        }
        $go .= "</tbody></table></div>";
        echo $go;
    }

    public function setNewHistory() {
        $r = $this->input->post("request_id");
        $c = $this->input->post("comment");
        $this->db->insert("requests_history", array("cooperator" => $this->c_model->info->id, "request_id" => $r, "comment" => $c));

        $info = array(
            "request_id" => $r,
            "cooperator_id" => $this->c_model->info->id
        );
        $this->db->insert("cooperators_history", $info);
    }

    public function changeStatus() {
        $this->load->model("user/advertiser/stat_model", "stat_model");
        if ($this->input->post() == false)
            return;
        $data = array(
            "request_id" => (int) $this->input->post("request_id"),
            "fio" => checkStr($this->input->post("fio")),
            "phone" => checkStr($this->input->post("phone")),
            "city" => checkStr($this->input->post("city")),
            "address" => checkStr($this->input->post("address")),
            "postcode" => checkStr($this->input->post("postcode")),
            //"date"		=>	checkStr($this->input->post("date")),
            //"time"		=>	checkStr($this->input->post("time")),
            "count" => (int) $this->input->post("count"),
            "color" => $this->input->post("color"),
            "comment" => checkStr($this->input->post("comment")),
            "track" => checkStr($this->input->post("track")),
            "total" => ($this->input->post("total")),
            "upsale" => ($this->input->post("upsale"))
        );
        $status = $this->input->post("status");
        $podStatus = "1";
        if ($this->input->post("podStatus"))
            $podStatus = $this->input->post("podStatus");

        echo $this->stat_model->changeStatus($data["request_id"], $status, false, $podStatus);
        //if($status == 1)
        //{
        $query = $this->db->get_where("requests_orders", array("request_id" => $data["request_id"]));
        if ($query->num_rows() > 0) {
            $this->db->where("request_id", $data["request_id"])->update("requests_orders", $data);
        } else {
            $this->db->set("date", date("Y-m-d"));
            $this->db->set("time", date("H:i:s"));
            $this->db->insert("requests_orders", $data);
        }
        //}
        $info = array(
            "request_id" => $data["request_id"],
            "cooperator_id" => $this->c_model->info->id
        );
        $this->db->insert("cooperators_history", $info);
        //echo "true";
    }

    public function getStatus($value = '0') {
        $status = config_item("status");
        echo json_encode($status[$value]);
    }

    public function isOccupyRequest($request_id) {
        $cooperator_id = $this->c_model->info->id;
        $return = $this->c_model->isOccupy($cooperator_id, $request_id);
        echo json_encode($return);
    }

    public function isDenyReflect($request_id) {
        $return = $this->c_model->isDenyReflect($request_id);
        echo json_encode($return);
    }

    public function setOccupyRequest($request_id) {
        $cooperator_id = $this->c_model->info->id;
        $this->c_model->setOccupy($cooperator_id, $request_id);
    }

}
