<?php

class Flow_Webmaster extends CI_Controller {
	
	public function __construct() {
		parent::__construct();
		$this->load->model("user/webmaster/flow_model", "flow_model");
	}
	
	public function add($offer_id = 0){          
		$this->load->library("form_validation");
		$this->load->model("offer/info_model");	
		
		checkInt($offer_id);
		if($this->db->get_where("offers", array("id"=>$offer_id))->num_rows() == 0)
		{
			show_404();
			return;
		}
		
		$data = array(
		    "title" => "Новый поток"
		);
		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		
		$this->form_validation->set_rules('name', 'Название', 'required|trim');
		$this->form_validation->set_rules('page', 'Страница', 'required|trim');

		$data = array(
		    "info"  => $this->db->get_where("offers", array("id" => $offer_id))->row(),
		    "pages" => $this->info_model->getPages($offer_id),
		    "gaskets" => $this->info_model->getGaskets($offer_id),
		    "type"  => "add"
		);
		 
		if ($this->form_validation->run() == FALSE)
		{
			$this->load->view("pages/user/webmaster/flow/add", $data);
		}
		else
		{                  
			$this->flow_model->add($offer_id);
			redirect(base_url() . "webmaster/flow/all");
		}
		
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}
	
	public function all(){
		$data = array(
		    "title" => "Мои потоки"
		);
		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		
		$data = array(
		    "flows"	=> $this->flow_model->getMyAll()
		);
		$this->load->view("pages/user/webmaster/flow/all", $data);
		
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}
	
	public function delete($id = 0){
		checkInt($id);
		$query = $this->db->get_where("flows", array("id"=>$id));
		if($query->num_rows() == 0 || @$query->row()->user_id != $this->user_model->info->id)
		{
			show_404();
			return;
		}
		if($this->flow_model->delete($id))
			redirect(base_url() . "webmaster/flow/all");
	}
	
	public function edit($id = 0){
		
		checkInt($id);
		$query = $this->db->get_where("flows", array("id"=>$id));
		if($query->num_rows() == 0 || @$query->row()->user_id != $this->user_model->info->id)
		{
			show_404();
			return;
		}
		
		$this->load->library("form_validation");
		$this->load->model("offer/info_model");		
		$data = array(
		    "title" => "Редактирование потока"
		);
		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		
		$this->form_validation->set_rules('name', 'Название', 'required|trim');
		$this->form_validation->set_rules('page', 'Страница', 'required|trim');
		$this->form_validation->set_rules('metrika', '№ Счетчика Метрики', 'trim|max_length[10]|numeric');
		
		$query = $this->flow_model->editInfo($id);
		$data = array(
		    "info"  => $query->row(),
		    "pages" => $this->info_model->getPages($query->row()->offer_id),
		    "gaskets" => $this->info_model->getGaskets($query->row()->offer_id),
		    "type"  => "edit"
		);
		if ($this->form_validation->run() == FALSE)
		{
			$this->load->view("pages/user/webmaster/flow/add", $data);
		}
		else
		{
			$this->flow_model->startEdit($id);
			redirect(base_url() . "webmaster/flow/all");
		}
		
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}
	
}
