<?php
	
class Payment extends CI_Controller
{
	function __construct() {
		parent::__construct();
		$this->load->helper("date");
		$this->load->model("user/webmaster/payment_model", "payment_model");
	}


	function index() {
		
		$data = array(
			'title' => 'Выплаты'
			);

		$this->load->view("template/user/".$this->user_model->type."/head", $data);
		$info = array(
		    "result"	=> $this->payment_model->getPaymentsList($this->user_model->info->id)->result()
		);
		$this->load->view("pages/user/".$this->user_model->type."/money/payment_list", $info);
		$this->load->view("template/user/".$this->user_model->type."/foot");
	}

	public function orderPayment(){
		$sum = checkStr($this->input->post("sum"));
		$type = "WebMoney";
		$bill = $this->user_model->info->wmr;
		if(
                        $bill == ""
			|| !$sum
			|| $sum < config_item("min_payment")
			|| $this->user_model->info->money < $sum
		){
                        if($sum < config_item("min_payment"))
                            $errorText = "Минимальная сумма вывода - " . config_item("min_payment") . ", ваш баланс - " . $this->user_model->info->money;
                        elseif($this->user_model->info->money < $sum)
                            $errorText = "У вас не хватает средств на балансе для снятия ".$sum." рублей";
                        elseif($bill == "")
                            $errorText = "У вас не указан WMR кошелек";
                            
                        $data = array(
                                'title' => 'Выплаты'
                        );                        
                        $this->load->view("template/user/".$this->user_model->type."/head", $data);
                        $info = array(
                            "result"	=> $this->payment_model->getPaymentsList($this->user_model->info->id)->result()
                            , "errorText" => $errorText
                        );
                        $this->load->view("pages/user/".$this->user_model->type."/money/payment_list", $info);
                        $this->load->view("template/user/".$this->user_model->type."/foot");
		}
		else
		{
			$this->load->model("money_model");			
			$this->payment_model->newPayment(array(
				"user_id"	=> $this->user_model->info->id,
				"payment_type"	=> $type,
				"bill"		=> $bill,
				"sum"		=> $sum
			));
			$this->money_model->minusFromBalance($sum, $this->user_model->info->id);  
                        redirect(base_url() . "webmaster/money/payment");
		}
	}
}
?>