<?php

class Register_webmaster extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model("user/webmaster/register_model", "register_model");
    }

    public function index() {
        $this->load->model("login_model", "login");
        $this->load->library('form_validation');

        $this->form_validation->set_rules('login', 'Логин', 'trim|required');
        $this->form_validation->set_rules('email', 'Email', 'trim|required|valid_email|callback_email_check');
        $this->form_validation->set_rules('password', 'Пароль', 'trim|required');
        $this->form_validation->set_rules('wmr', 'WMR кошелек', 'trim');        

        if ($this->form_validation->run() == FALSE) {
            $this->load->view("pages/user/webmaster/register");
        } else {
            $this->go();
        }
    }

    public function request() {
        if (!$this->input->post())
            redirect(base_url());
        $login = checkStr($this->input->post("login"));
        $email = checkStr($this->input->post("email"));
        $skype = checkStr($this->input->post("skype"));
        $icq = checkStr($this->input->post("icq"));
        $pass = checkStr($this->input->post("password"));
        $descr = checkStr($this->input->post("descr"));
        $count = checkStr($this->input->post("count"));
        if (strlen($login) == 0 || strlen($email) == 0 || strlen($pass) == 0) {
            echo "Важные поля не заполнены!";
            return;
        }
        $array = array(
            "login" => $login,
            "email" => $email,
            "password" => $pass,
            "skype" => $skype,
            "icq" => $icq,
            "time" => time(),
            "descr" => $descr,
            "count" => $count
        );
        $this->db->insert("users_request", $array);
        echo "Ожидайте, с вами свяжется наш менеджер!";
    }

    function email_check($str) {
        $query = $this->db->get_where("users", array("email" => $str));
        if ($query->num_rows() > 0) {
            $this->form_validation->set_message('email_check', 'Данный email уже зарегистрирован');
            return false;
        } else
            return true;
    }

    public function go() {
        //if(config_item("open_reg"))
        //	redirect(base_url() . "webmaster/register");
        $login = checkStr($this->input->post("login"));
        $email = checkStr($this->input->post("email"));
        $skype = checkStr($this->input->post("skype"));
        $icq = checkStr($this->input->post("icq"));        
        $pass = checkStr($this->input->post("password"));
        $wmr = checkStr($this->input->post("wmr"));
        if (strlen($login) == 0 || strlen($email) == 0 || strlen($pass) == 0)
            redirect(base_url());
        $array = array(
            "login" => $login,
            "email" => $email,
            "skype" => $skype,
            "icq" => $icq,            
            "passhash" => $this->user_model->getMD5($pass),
            "wmr" => $wmr,
            "reg_date" => date("Y-m-d")
        );
        if ($this->register_model->add($array)) {
            $this->load->model("login_model");
            $this->login_model->go($email, $array["passhash"]);
            redirect(base_url() . "webmaster/");
        } else {
            redirect(base_url());
        }
    }

}
