<?php

class Email_model extends CI_Model {
	
	private $from;
	private $subject;
	private $message;
	private $emails;
	
	function __construct() {
		parent::__construct();
		
		$this->load->library("email");
		
		$this->from = config_item("site_email");
		$config['protocol'] = 'sendmail';
		$config['mailpath'] = '/usr/sbin/sendmail';
		$config['mailtype'] = 'html';
		$config['charset'] = 'utf-8';
		$config['wordwrap'] = TRUE;

		$this->email->initialize($config);
	}
	
	public function setSubject($subject = ''){
		$this->subject = $subject;
	}
	
	public function setMessage($message = ''){
		$this->message = $message;
	}
	
	public function setEmails($array = array()){
		$this->emails = $array;
	}
	
	public function send(){
		foreach ($this->emails as $email)
		{
			$this->email->clear();

			$this->email->to($email);
			$this->email->from($this->from, config_item("site_name"));
			$this->email->subject($this->subject);
			$this->email->message($this->message);
			$this->email->send();
		}
	}
	
}
