<?php

class Add_model extends CI_Model {

    public function add($info = array()) {
        //Определяем следующий ID в offers
        $next_id = $this->db->last_id("offers");
        //Загрузка изображения
        $imageFileName = $this->uploadImage($next_id);

        $info_to_db = array(
            'name' => $info["name"],
            'image' => "files/images/offers/" . $next_id . "/" . $imageFileName,
            'places' => implode(", ", $info["traffics"]),
            'small_descr' => $info["small_descr"],
            //'descr'		=>	$info["descr_dop"],
            'cat' => $info["cat"],
            'countries' => implode(", ", $info["countries"]),
            'postclick' => $info["postclick"],
            'sex' => $info["sex"],
            'age' => $info["age"],
            'price' => $info["price"],
            'price_currency' => $info["currency"],
            "user_id" => $info["advertiser_id"],
            "private" => ($info["private"] == "on" ? '1' : '0'),
            'added' => time()
        );
        $this->addGoals($info["goals"], $next_id);
        $this->addPages($info["pages"], $next_id);
        $this->addGaskets($info["gaskets"], $next_id);
        $this->db->insert("offers", $info_to_db);

        //Перенаправляем на страницу просмотра оффера
        redirect(base_url() . "offer/view/id/" . $next_id);
    }

    public function uploadImage($offer_id) {
        $uploadDir = "./files/images/offers/" . $offer_id . "/";
        mkdir($uploadDir, 0777);

        $config = array(
            'upload_path' => $uploadDir,
            'allowed_types' => 'gif|jpg|png',
            'max_size' => '1000',
            'max_width' => '1050',
            'max_height' => '1050',
            'encrypt_name' => TRUE
        );

        $this->load->library('upload', $config);
        $this->upload->do_upload('logotip');
        $data = $this->upload->data();

        // ресайзим картинку
        $config['image_library'] = 'gd2'; // выбираем библиотеку
        $config['source_image'] = $uploadDir . $data["file_name"];
        $config['new_image'] = $uploadDir . $data["file_name"];
        $config['create_thumb'] = TRUE; // ставим флаг создания эскиза
        $config['maintain_ratio'] = TRUE; // сохранять пропорции
        $config['width'] = 200; // и задаем размеры
        $config['height'] = 200;

        $this->load->library('image_lib', $config); // загружаем библиотеку 
        $this->image_lib->resize(); // и вызываем функцию

        return $data["file_name"];
    }

    public function addPages($jsonStr, $offer_id) {
        $pages = json_decode($jsonStr);
        if (count($pages) > 0) {
            $sql = "INSERT INTO pages (name, url, offer_id) VALUES ";
            $insertArray = array();
            foreach ($pages AS $page) {
                array_push($insertArray, "(" . $this->db->escape($page[0]) . ", " . $this->db->escape($page[1]) . ", '" . $offer_id . "')");
            }
            $sql .= implode(", ", $insertArray);
            $this->db->query($sql);
        }
    }

    public function addGaskets($jsonStr, $offer_id) {
        $gaskets = json_decode($jsonStr);
        if (count($gaskets) > 0) {
            $sql = "INSERT INTO gaskets (name, url, offer_id) VALUES ";
            $insertArray = array();
            foreach ($gaskets AS $page) {
                array_push($insertArray, "(" . $this->db->escape($page[0]) . ", " . $this->db->escape($page[1]) . ", '" . $offer_id . "')");
            }
            $sql .= implode(", ", $insertArray);
            $this->db->query($sql);
        }
    }

    public function addGoals($jsonStr, $offer_id) {
        $goals = json_decode($jsonStr);
        if (count($goals) > 0) {
            $sql = "INSERT INTO goals (
                            name, 
                            price, 
                            real_price, 
                            offer_id, 
                            price_currency, 
                            real_price_currency) VALUES ";
            $insertArray = array();
            foreach ($goals AS $goal) {
                array_push($insertArray, "(
                    " . $this->db->escape($goal[0]) . ", 
                    " . $this->db->escape($goal[2]) . ", 
                    " . $this->db->escape($goal[1]) . ", 
                    '" . $offer_id . "',
                    " . $this->db->escape($goal[3]) . ",
                    " . $this->db->escape($goal[4]) . "
                                         )");
            }
            $sql .= implode(", ", $insertArray);
            $this->db->query($sql);
        }
    }

}
