<?php

class Info_model extends CI_Model {

    public function get($ar = array()) {

        if (isset($ar["select"]))
            $this->db->select($ar["select"]);
        if (isset($ar["id"]))
            $this->db->where("id", $ar["id"]);
        if (isset($ar["type"]) && $ar["type"] >= -1 && $ar["type"] <= 1)
            $this->db->where("type", $ar["type"]);
        if (isset($ar["user_id"]))
            $this->db->where("user_id", $ar["user_id"]);

        $query = $this->db->get("offers");
        if (isset($ar["count"])) {
            if ($ar["count"])
                return $query->row();
            else
                return $query->result();
        } else
            return $query->result();
    }

    public function getGoals($offer_id = 0) {

        $this->db->where("offer_id", $offer_id);
        $query = $this->db->get("goals");
        $return = $query->result();
        
        foreach($return as $row) {            
            $row->price_currency_title=$this->getCurrencyTitle($row->price_currency);
            $return2[]=$row;
        }
        return $return2;
    }

    public function getPages($offer_id = 0) {

        $this->db->select("pages.*
			, (SELECT COUNT(*) FROM transits WHERE page_id=pages.id) AS transits_count
			, (SELECT COUNT(*) FROM requests WHERE page_id=pages.id) AS requests_count")
                ->where("offer_id", $offer_id)
                ->from("pages");
        $pages = $this->db->get();
        return $pages->result();
    }

    public function getGaskets($offer_id = 0) {

        $this->db->select("gaskets.*
			, (SELECT COUNT(*) FROM transits WHERE gasket_id=gaskets.id) AS transits_count
			, (SELECT COUNT(*) FROM requests WHERE gasket_id=gaskets.id) AS requests_count")
                ->where("offer_id", $offer_id)
                ->from("gaskets");
        $pages = $this->db->get();
        return $pages->result();
    }

    function getOfferTitle($offer_id = 0) {
        $this->db->select("name as title")
                ->where("id", $offer_id)
                ->from("offers");
        $pages = $this->db->get();
        $return = $pages->row();

        $offer_name = $return->title;
        return $offer_name;
    }

    public function getGasketUrl($gasket_id) {
        $this->db->select("gaskets.url")
                ->from("gaskets")
                ->where("gaskets.id ", $gasket_id);

        $row = $this->db->get()->row();
        return $row->url;
    }

    public function getPageUrl($page_id) {
        $this->db->select("pages.url")
                ->from("pages")
                ->where("pages.id ", $page_id);

        $row = $this->db->get()->row();
        return $row->url;
    }

    public function getUrl($flow_id) {
        $this->db->select("flows.url")
                ->from("flows")
                ->where("flows.id ", $flow_id);

        $row = $this->db->get()->row();
        return $row->url;
    }

    public function getCurrencyTitle($currency_id) {
        switch ($currency_id) {
            case 0: return 'руб'; break;
            case 1: return 'тг'; break;
            case 2: return 'грн'; break;
            case 3: return '$'; break;            
            default: return 'руб'; break;
        }
    }

}