<?php

class News_model extends CI_Model {

    function add_new($offer_id = 0, $title, $text, $alert = true) {
        $data = array(
            'name' => checkStr($title),
            'text' => checkStr($text),
            'added' => time(),
            'offer_id' => is_numeric($offer_id) ? $offer_id : 0
        );

        $offer_info = null;
        $email_text = $data["text"];
        if ($offer_id > 0) {
            $email_text = str_replace("{offer_name}", "<a href='" . base_url() . 'offer/view/id/' . $offer_info->id . "'>" . $offer_info->name . "</a>", $data["text"]);
            $data["text"] = str_replace("{offer_name}", $offer_info->name, $data["text"]);
        }
        $email_text = str_replace("(brbr)", "<br />", $email_text);

        $data["text"] = str_replace("(brbr)", "\r\n", $data["text"]);

        $this->db->insert('news', $data);

        /*
         * Email оповещение
         */
        if (config_item("email_news") === TRUE && $alert) {
            $this->load->model("email/email_model", "email_model");
            $this->load->model("email/email_message_model", "email_message_model");

            $this->email_model->setSubject($data["name"]);
            $message = $this->email_message_model->getMessageForNews($data["name"], $email_text);
            $this->email_model->setMessage($message);
            $emails = array();
            //Получаем список емайл, на которые нужно отправить сообщение
            if ($data["offer_id"] > 0) {
                //Тем, кто добавил этот оффер к себе
                $this->db->select("email")
                        ->from("users")
                        ->where("type", "0");
            } else {
                //Значит всем
                $this->db->select("email")->from("users")->where("type", "0");
            }
            $query = $this->db->get();
            foreach ($query->result() AS $row)
                $emails[] = $row->email;
            $this->email_model->setEmails($emails);
            $this->email_model->send();
        }
    }

    function getNews($news_id) {
        $this->security_model->checkInt($news_id);
        $query = $this->db->get_where('news', array('id' => $news_id));

        $news = $query->row();

        return $news;
    }

    function edit_new($news_id, $offer_id = 0, $title, $text, $alert = true) {
        $data = array(
            'name' => checkStr($title),
            'text' => checkStr($text),
            'offer_id' => is_numeric($offer_id) ? $offer_id : 0
        );

        $offer_info = null;
        $email_text = $data["text"];
        if ($offer_id > 0) {
            $email_text = str_replace("{offer_name}", "<a href='" . base_url() . 'offer/view/id/' . $offer_info->id . "'>" . $offer_info->name . "</a>", $data["text"]);
            $data["text"] = str_replace("{offer_name}", $offer_info->name, $data["text"]);
        }
        $email_text = str_replace("(brbr)", "<br />", $email_text);

        $data["text"] = str_replace("(brbr)", "\r\n", $data["text"]);

        $this->db->where("id", $news_id)->update("news", $data);

        /*
         * Email оповещение
         */
        if (config_item("email_news") === TRUE && $alert) {
            $this->load->model("email/email_model", "email_model");
            $this->load->model("email/email_message_model", "email_message_model");

            $this->email_model->setSubject($data["name"]);
            $message = $this->email_message_model->getMessageForNews($data["name"], $email_text);
            $this->email_model->setMessage($message);
            $emails = array();
            //Получаем список емайл, на которые нужно отправить сообщение
            if ($data["offer_id"] > 0) {
                //Тем, кто добавил этот оффер к себе
                $this->db->select("email")
                        ->from("users")
                        ->where("type", "0");
            } else {
                //Значит всем
                $this->db->select("email")->from("users")->where("type", "0");
            }
            $query = $this->db->get();
            foreach ($query->result() AS $row)
                $emails[] = $row->email;
            $this->email_model->setEmails($emails);
            $this->email_model->send();
        }
    }
    
    	public function delete($id = 0){
		$this->db->delete("news", array("id" => $id));
		return true;
	}

}

?>