<?php

class Cooperators_model extends CI_Model {

    public $info = null;

    function __construct() {
        parent::__construct();
        $this->isLogin();
    }

    function isLogin() {
        $password = $this->session->userdata("cooperator_password");

        if ($this->uri->uri_string() != "cooperator/login") {

            if (!isset($password)) {
                redirect(base_url() . "cooperator/login");
            }
            $query = $this->db->get_where("cooperators", array("password" => $password));

            if ($query->num_rows() > 0) {
                $row = $query->row();
                if ($password == $row->password)
                    $this->info = $row;
                else
                    redirect(base_url() . "cooperator/login");
            } else
                redirect(base_url() . "cooperator/login");
        }
    }

    function goLogin($pass = '') {
        $query = $this->db->get_where("cooperators", array("password" => $pass));
        if ($query->num_rows() > 0) {
            $this->session->set_userdata("cooperator_password", $pass);
            return true;
        }
        return false;
    }

    public function getRequests($type = 0, $dop_status = 1) {
        $offers = $this->info->offers;
        if ($offers != "0") {
            $offers_array = explode(", ", $offers);
            foreach ($offers_array AS $offer_id)
                $this->db->or_where("offer_id", $offer_id);
        }
        //if($dop_status != 0){
        //}
        if (($type == '0') or ( $type == 0))
            $where = "requests.status IN ('0', '-2')";
        else
            $where = "requests.status = '" . $type . "'";
        if (($dop_status != '0') and ( $dop_status != 0)) {
            $where .= " AND requests.dop_status = '" . $dop_status . "'";
        }
        $this->db->select("requests.*, 
            offers.name AS offer_name, 
            offers.price,
            offers.price_currency,
            ro.fio AS rofio, 
            ro.phone AS rophone, 
            ro.city, 
            ro.address AS roaddress, 
            ro.postcode, 
            ro.count, 
            ro.comment, 
            ro.track, 
            ro.total,
            ro.color, 
            ro.upsale")
                ->from("requests")
                ->join("offers", "offers.id = requests.offer_id", "left")
                ->join("requests_orders AS ro", "ro.request_id = requests.id", "left")
                ->order_by("date", "DESC")
                ->order_by("time", "DESC")
                ->having($where);
        $result = $this->db->get()->result();

        $this->load->model("offer/info_model", "offer_info");
        foreach ($result as $res) {
            $res->price_currency_title = $this->offer_info->getCurrencyTitle($res->price_currency);
            $result2[] = $res;
        }

        return $result2;
    }

    function setOccupy($cooperator_id, $request_id) {
        $this->security_model->checkInt($cooperator_id);
        $this->security_model->checkInt($request_id);

        $data = array(
            'cooperator_occupy' => $cooperator_id,
            'cooperator_occupy_dt' => date('Y-m-d H:i:s')
        );

        $this->db->where("id", $request_id)->update("requests", $data);
    }

    function isDenyReflect($request_id) {
        $this->security_model->checkInt($request_id);
        $this->db->select("requests_orders.date, requests_orders.time, requests.status")
                ->from("requests_orders")
                ->join("requests", "requests.id=requests_orders.request_id", "left")
                ->where("request_id ", $request_id);

        $row = $this->db->get()->row();

        $datetime = $row->date . ' ' . $row->time;

        if (strtotime($datetime) <= strtotime(date("Y-m-d H:i:s") . ' -24 hour')) {
            if ($row->status == '1')
                return true;
        }
        return false;
    }

    function isOccupy($cooperator_id, $request_id) {
        $this->security_model->checkInt($cooperator_id);
        $this->security_model->checkInt($request_id);

        $this->db->select("requests.cooperator_occupy, requests.cooperator_occupy_dt, cooperators.name")
                ->from("requests")
                ->join("cooperators", "cooperators.id = requests.cooperator_occupy", "left")
                ->where("requests.id ", $request_id);

        $row = $this->db->get()->row();
        // если другой оператор
        if ($row->cooperator_occupy != $cooperator_id) {
            // если прошло более 5 минут - освобождаем
            if (strtotime($row->cooperator_occupy_dt) <= strtotime(date("Y-m-d H:i:s") . ' -3 minute')) {
                $data = array(
                    'cooperator_occupy' => null,
                    'cooperator_occupy_dt' => null
                );
                $this->db->where("id", $request_id)->update("requests", $data);
                return null;
            }

            $return = array(
                'cooperator_id' => $row->cooperator_occupy,
                'cooperator_dt' => $row->cooperator_occupy_dt,
                'cooperator_name' => $row->name
            );
            return $return;
        }
        return null;
    }

}
