<?php

class Flow_Model extends CI_Model{
	
	public function add($offer_id){
		$this->load->model("url_model");
                $this->load->model("offer/info_model", "info_model");
                                
                $gasket_id=checkStr($this->input->post("gasket"));
                $page_id=checkStr($this->input->post("page"));
                
                $url=$this->url_model->generateNew();
               
                // получаем ссылку page или gasket
                if($gasket_id>0) {
                    $url_str=$this->info_model->getGasketUrl($gasket_id);
                }
                else {
                    $url_str=$this->info_model->getPageUrl($page_id);
                }
                $url_str=$url_str.$url.'/';
           
		$arrayToDb = array(
		    "user_id"	=> $this->user_model->info->id,
		    "page_id"	=> $page_id,
		    "gasket_id"	=> $gasket_id,
		    "offer_id"	=> $offer_id,
		    "name"	=> checkStr($this->input->post("name")),
		    "url"	=> $url,
                    "url_str"   => $url_str,
		    "metrika"	=> checkStr($this->input->post("metrika")),
		    "mail"	=> checkStr($this->input->post("mail")),
		    "google"	=> checkStr($this->input->post("google")),
		    "postback_url"	=> checkStr($this->input->post("postback_url")),
		    "trafficback_url"	=> checkStr($this->input->post("trafficback_url")),
		    "comebacker"	=> checkStr($this->resultCheckbox($this->input->post("comebacker"))),
		    "newwindow"		=> checkStr($this->resultCheckbox($this->input->post("newwindow")))		    
		);
  
		$this->db->insert("flows", $arrayToDb);
		return true;
	}
	
	public function getMyAll(){
		$this->db->select("flows.url, flows.url_str, flows.name, flows.id, pages.name AS page_name, pages.url AS page_url, offers.name AS offer_name, offers.id AS offer_id")
			->from("flows")
			->join("pages", "pages.id = flows.page_id", "left")
			->join("offers", "offers.id = flows.offer_id", "left")
			->where("flows.user_id", $this->user_model->info->id)
			->order_by("flows.id", "DESC");
		$query = $this->db->get()->result();
                
		return $query;
	}
	
	public function editInfo($id = 0){
		$this->db->select("flows.*")
			->from("flows")
			->join("pages", "pages.id = flows.page_id", "left")
			->where("flows.user_id", $this->user_model->info->id)
			->where("flows.id", $id);
		return $this->db->get();
	}
	
	public function startEdit($id = 0){
		$this->load->model("url_model");
                $this->load->model("offer/info_model", "info_model");
                                
                $gasket_id=checkStr($this->input->post("gasket"));
                $page_id=checkStr($this->input->post("page"));
                
                $url=$this->info_model->getUrl($id);
                // получаем ссылку page или gasket
                if($gasket_id>0) {
                    $url_str=$this->info_model->getGasketUrl($gasket_id).$url;
                }
                else {
                    $url_str=$this->info_model->getPageUrl($page_id).$url;
                }                
		$arrayToDb = array(
		    "page_id"	=> $page_id,
		    "gasket_id"	=> $gasket_id,
		    "name"	=> checkStr($this->input->post("name")),
		    "metrika"	=> (int)($this->input->post("metrika")),
		    "mail"	=> (int)($this->input->post("mail")),
		    "google"	=> checkStr($this->input->post("google")),
                    "url_str"   => $url_str,
		    "postback_url"	=> checkStr($this->input->post("postback_url")),
		    "trafficback_url"	=> checkStr($this->input->post("trafficback_url")),	
		    "comebacker"	=> checkStr($this->resultCheckbox($this->input->post("comebacker"))),
		    "newwindow"		=> checkStr($this->resultCheckbox($this->input->post("newwindow")))
		);
		$this->db->where("id", $id);
		$this->db->update("flows", $arrayToDb);
		return true;
	}
	
	public function delete($id = 0){
		$this->db->delete("flows", array("id" => $id, "user_id" => $this->user_model->info->id));
		return true;
	}
	
	private function resultCheckbox($value){
		if($value == "on")
			return 1;
		else
			return 0;
	}
	
}