<?php

class Record_Model extends CI_Model{
	
	public function __construct() {
		parent::__construct();
		$this->load->helper('string');
	}
	
	public function add($data = array(), $url = ''){
		$query = $this->db->select("flows.*, pages.url AS page_url, gaskets.url AS gasket_url, offers.countries")
				->where("flows.url", $url)
				->from("flows")
				->join("pages", "pages.id=flows.page_id", "left")
				->join("gaskets", "gaskets.id=flows.gasket_id", "left")
				->join("offers", "offers.id=flows.offer_id", "left")
				->get();
		if($query->num_rows() == 0)
			return false;
		$data["flow_id"] = $query->row()->id;
		$data["page_id"] = $query->row()->page_id;
		$data["offer_id"] = $query->row()->offer_id;
		$data["user_id"] = $query->row()->user_id;
		$data["hash"] = random_string('unique');
		
		$this->db->insert("transits", $data);
		/*
		 * TRAFFICBACL
		 */
		if(trim($query->row()->trafficback_url) != "")
		{
			$c_array = explode(", ", $query->row()->countries);
			$codes = config_item("countries_code");
			if(!in_array($data["country_code"], $codes) || !in_array($codes[$data["country_code"]], $c_array))
				return array("trafficback_url" => $query->row()->trafficback_url);
		}
		/*
		 * END TRAFFICBACL
		 */		
		
		//Если вдруг пользователь выбрал прокладку какую-то, прежде чем лить на лендинг
		if($query->row()->gasket_id > 0)
			return $query->row()->gasket_url . "?hash=" . $data["hash"];
		
		return $query->row()->page_url . "?hash=" . $data["hash"];
	}
	
}
