<?php

class Stat_Model extends CI_Model {
	

	private $query;
	private $dopQuery = array();
	private $user_id = 0;
	
	function __construct() {
		parent::__construct();
		$dop_query = array();
		if($this->input->post("from_date"))
		{
			$this->dopQuery[] = "t.date >= " . $this->db->escape(checkStr($this->input->post("from_date")));
		}
		if($this->input->post("to_date"))
		{
			$this->dopQuery[] = "t.date <= " . $this->db->escape(checkStr($this->input->post("to_date")));
		}
                if(!$this->dopQuery) { // по-умолчанию выводим только за последние 7 дней
                    $this->dopQuery[]=" NOW()<DATE_ADD(t.date, INTERVAL 7 DAY) ";
                }
	}
	
	public function getUserId(){
		return $this->user_id;
	}
	
	public function setUserId($user_id = 0){
		$this->user_id = $user_id;
		$this->dopQuery[] = "t.user_id = " . $this->db->escape($user_id) . " ";
	}
	
	public function getGroupDays(){
		//$this->dopQuery[] = "t.date=r.date ";
		$query1 = "SELECT COUNT(ip) AS click_all, COUNT(DISTINCT ip) AS uniq_all, date AS one FROM transits t "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY date";
		$result1 = $this->db->query($query1)->result();
		$query2 = "SELECT t.date AS one, "
			. "COUNT(CASE WHEN t.status!='-3' THEN 1 END) AS requests_all, "
			. "COUNT(CASE WHEN t.status='1' THEN 1 END) AS requests_confirm, "
			. "COUNT(CASE WHEN t.status='-1' OR t.status='2' THEN 1 END) AS requests_reflected, "
			. "COUNT(CASE WHEN t.status='-2' OR t.status='0' THEN 1 END) AS requests_pending, "
			. "SUM(IF(t.status='-2' OR t.status='0', profit, 0)) AS profit_pending, "
			. "SUM(IF(t.status='-1' OR t.status='2', profit, 0)) AS profit_reflected, "
			. "SUM(IF(t.status='1', profit, 0)) AS profit_confirm, "
			. "date AS one FROM requests t "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY date";
		$result2 = $this->db->query($query2)->result();
		$trs = array();
		foreach($result1 AS $row)
		{
			$trs[$row->one] = array();
			$trs[$row->one]["click_all"] = $row->click_all;
                        $trs[$row->one]["uniq_all"] = $row->uniq_all;
			$trs[$row->one]["requests_all"] = 0;
			$trs[$row->one]["requests_confirm"] = 0;
			$trs[$row->one]["requests_reflected"] = 0;
			$trs[$row->one]["requests_pending"] = 0;
			$trs[$row->one]["profit_pending"] = 0;
			$trs[$row->one]["profit_reflected"] = 0;
			$trs[$row->one]["profit_confirm"] = 0;				
		}
		foreach($result2 AS $row)
		{
			if(empty($trs[$row->one]))
			{
				$trs[$row->one]["click_all"] = '0';
                                $trs[$row->one]["uniq_all"] = '0';
			}                     
			$trs[$row->one]["requests_all"] = $row->requests_all;
			$trs[$row->one]["requests_confirm"] = $row->requests_confirm;
			$trs[$row->one]["requests_reflected"] = $row->requests_reflected;
			$trs[$row->one]["requests_pending"] = $row->requests_pending;
			$trs[$row->one]["profit_pending"] = $row->profit_pending;
			$trs[$row->one]["profit_reflected"] = $row->profit_reflected;
			$trs[$row->one]["profit_confirm"] = $row->profit_confirm;
		}
		return $trs;
	}
	
	public function getGroupSubs(){
		$query1 = "SELECT  COUNT(ip) AS click_all, COUNT(DISTINCT ip) AS uniq_all, t.data1 AS one, t.data2 AS two FROM transits t "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " AND (data1 != '' OR data2 != '') "
			. "GROUP BY one,two";
		$result1 = $this->db->query($query1)->result();
		$query2 = "SELECT transits.data1 AS one, transits.data2 AS two, "
			. "COUNT(CASE WHEN t.status!='-3' THEN 1 END) AS requests_all, "
			. "COUNT(CASE WHEN t.status='1' THEN 1 END) AS requests_confirm, "
			. "COUNT(CASE WHEN t.status='-1' OR t.status='2' THEN 1 END) AS requests_reflected, "
			. "COUNT(CASE WHEN t.status='-2' OR t.status='0' THEN 1 END) AS requests_pending, "
			. "SUM(IF(t.status='-2' OR t.status='0', profit, 0)) AS profit_pending, "
			. "SUM(IF(t.status='-1' OR t.status='2', profit, 0)) AS profit_reflected, "
			. "SUM(IF(t.status='1', profit, 0)) AS profit_confirm "
			. "FROM requests t "
			. "LEFT JOIN transits ON transits.id=t.transit_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " AND (transits.data1 != '' OR transits.data2 != '') "
			. "GROUP BY one,two";
		$result2 = $this->db->query($query2)->result();
		$trs = array();
		foreach($result1 AS $row)
		{
			$trs[$row->one . " - " . $row->two] = array();
			$trs[$row->one . " - " . $row->two]["click_all"] = $row->click_all;
                        $trs[$row->one . " - " . $row->two]["uniq_all"] = $row->uniq_all;
			$trs[$row->one . " - " . $row->two]["requests_all"] = 0;
			$trs[$row->one . " - " . $row->two]["requests_confirm"] = 0;
			$trs[$row->one . " - " . $row->two]["requests_reflected"] = 0;
			$trs[$row->one . " - " . $row->two]["requests_pending"] = 0;
			$trs[$row->one . " - " . $row->two]["profit_pending"] = 0;
			$trs[$row->one . " - " . $row->two]["profit_reflected"] = 0;
			$trs[$row->one . " - " . $row->two]["profit_confirm"] = 0;			
		}
		foreach($result2 AS $row)
		{
			if(empty($trs[$row->one . " - " . $row->two]))
			{
				$trs[$row->one . " - " . $row->two]["click_all"] = '0';
                                $trs[$row->one . " - " . $row->two]["uniq_all"] = '0';
			}
			$trs[$row->one . " - " . $row->two]["requests_all"] = $row->requests_all;
			$trs[$row->one . " - " . $row->two]["requests_confirm"] = $row->requests_confirm;
			$trs[$row->one . " - " . $row->two]["requests_reflected"] = $row->requests_reflected;
			$trs[$row->one . " - " . $row->two]["requests_pending"] = $row->requests_pending;
			$trs[$row->one . " - " . $row->two]["profit_pending"] = $row->profit_pending;
			$trs[$row->one . " - " . $row->two]["profit_reflected"] = $row->profit_reflected;
			$trs[$row->one . " - " . $row->two]["profit_confirm"] = $row->profit_confirm;
		}
		return $trs;
	}
	
	public function getGroupFlows(){
		$query1 = "SELECT COUNT(ip) AS click_all, COUNT(DISTINCT ip) AS uniq_all, flows.name AS one, flow_id FROM transits t "
			. "LEFT JOIN flows ON flows.id=t.flow_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY flow_id";
		$result1 = $this->db->query($query1)->result();
		$query2 = "SELECT flows.name AS one, flows.id AS flow_id, "
			. "COUNT(CASE WHEN t.status!='-3' THEN 1 END) AS requests_all, "
			. "COUNT(CASE WHEN t.status='1' THEN 1 END) AS requests_confirm, "
			. "COUNT(CASE WHEN t.status='-1' OR t.status='2' THEN 1 END) AS requests_reflected, "
			. "COUNT(CASE WHEN t.status='-2' OR t.status='0' THEN 1 END) AS requests_pending, "
			. "SUM(IF(t.status='-2' OR t.status='0', profit, 0)) AS profit_pending, "
			. "SUM(IF(t.status='-1' OR t.status='2', profit, 0)) AS profit_reflected, "
			. "SUM(IF(t.status='1', profit, 0)) AS profit_confirm "
			. "FROM requests t "
			. "LEFT JOIN flows ON flows.id=t.flow_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY flow_id";
		$result2 = $this->db->query($query2)->result();
		$trs = array();
		foreach($result1 AS $row)
		{
			$trs[$row->one] = array();
			$trs[$row->one]["click_all"] = $row->click_all;
                        $trs[$row->one]["uniq_all"] = $row->uniq_all;
			$trs[$row->one]["flow_id"] = $row->flow_id;
			$trs[$row->one]["requests_all"] = 0;
			$trs[$row->one]["requests_confirm"] = 0;
			$trs[$row->one]["requests_reflected"] = 0;
			$trs[$row->one]["requests_pending"] = 0;
			$trs[$row->one]["profit_pending"] = 0;
			$trs[$row->one]["profit_reflected"] = 0;
			$trs[$row->one]["profit_confirm"] = 0;			
		}
		foreach($result2 AS $row)
		{
			if(empty($trs[$row->one]))
			{
				$trs[$row->one]["click_all"] = '0';
                                $trs[$row->one]["uniq_all"] = '0';
			}
			$trs[$row->one]["flow_id"] = $row->flow_id;
			$trs[$row->one]["requests_all"] = $row->requests_all;
			$trs[$row->one]["requests_confirm"] = $row->requests_confirm;
			$trs[$row->one]["requests_reflected"] = $row->requests_reflected;
			$trs[$row->one]["requests_pending"] = $row->requests_pending;
			$trs[$row->one]["profit_pending"] = $row->profit_pending;
			$trs[$row->one]["profit_reflected"] = $row->profit_reflected;
			$trs[$row->one]["profit_confirm"] = $row->profit_confirm;
		}
		return $trs;
	}
	
	public function getGroupOffers(){
		$query1 = "SELECT COUNT(ip) AS click_all, COUNT(DISTINCT ip) AS uniq_all, offers.name AS one, offer_id FROM transits t "
			. "LEFT JOIN offers ON offers.id=t.offer_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY offer_id";
		$result1 = $this->db->query($query1)->result();
		$query2 = "SELECT offers.name AS one, offers.id AS offer_id, "
			. "COUNT(CASE WHEN t.status!='-3' THEN 1 END) AS requests_all, "
			. "COUNT(CASE WHEN t.status='1' THEN 1 END) AS requests_confirm, "
			. "COUNT(CASE WHEN t.status='-1' OR t.status='2' THEN 1 END) AS requests_reflected, "
			. "COUNT(CASE WHEN t.status='-2' OR t.status='0' THEN 1 END) AS requests_pending, "
			. "SUM(IF(t.status='-2' OR t.status='0', profit, 0)) AS profit_pending, "
			. "SUM(IF(t.status='-1' OR t.status='2', profit, 0)) AS profit_reflected, "
			. "SUM(IF(t.status='1', profit, 0)) AS profit_confirm "
			. "FROM requests t "
			. "LEFT JOIN offers ON offers.id=t.offer_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY offer_id";
		$result2 = $this->db->query($query2)->result();
		$trs = array();
		foreach($result1 AS $row)
		{
			$trs[$row->one] = array();
			$trs[$row->one]["click_all"] = $row->click_all;
                        $trs[$row->one]["uniq_all"] = $row->uniq_all;
			$trs[$row->one]["offer_id"] = $row->offer_id;
			$trs[$row->one]["requests_all"] = 0;
			$trs[$row->one]["requests_confirm"] = 0;
			$trs[$row->one]["requests_reflected"] = 0;
			$trs[$row->one]["requests_pending"] = 0;
			$trs[$row->one]["profit_pending"] = 0;
			$trs[$row->one]["profit_reflected"] = 0;
			$trs[$row->one]["profit_confirm"] = 0;				
		}
		foreach($result2 AS $row)
		{
			if(empty($trs[$row->one]))
			{
				$trs[$row->one]["click_all"] = '0';
                                $trs[$row->one]["uniq_all"] = '0';
			}
			$trs[$row->one]["offer_id"] = $row->offer_id;
			$trs[$row->one]["requests_all"] = $row->requests_all;
			$trs[$row->one]["requests_confirm"] = $row->requests_confirm;
			$trs[$row->one]["requests_reflected"] = $row->requests_reflected;
			$trs[$row->one]["requests_pending"] = $row->requests_pending;
			$trs[$row->one]["profit_pending"] = $row->profit_pending;
			$trs[$row->one]["profit_reflected"] = $row->profit_reflected;
			$trs[$row->one]["profit_confirm"] = $row->profit_confirm;
		}
		return $trs;
	}
	
	public function getLeads(){
            $query2 = "SELECT t.*, "
			. "offers.id AS offer_id, offers.name AS offer_name, "
			. "goals.name AS goal_name, goals.price AS goal_price, "
			. "pages.name AS page_name, pages.url AS page_url, "
                        . "requests_orders.comment as request_order_comment "
			. "FROM requests t "
                    . "LEFT JOIN goals ON goals.id=t.goal_id "
                    . "LEFT JOIN offers ON offers.id=t.offer_id "
                    . "LEFT JOIN pages ON pages.id=t.page_id "
			. "LEFT JOIN requests_orders ON requests_orders.request_id=t.id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " AND t.status != '-3' "
			. "ORDER BY t.date DESC, t.time DESC ";
            $result = $this->db->query($query2)->result();
            
		 
		 
		return $result;
	}
	
	/*
	public function getGroupGoals(){
		$query1 = "SELECT COUNT(*) AS click_all, goals.name AS one FROM transits t "
			. "LEFT JOIN goals ON goals.id=t.goal_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY goal_id";
		$result1 = $this->db->query($query1)->result();
		$query2 = "SELECT flows.name AS one, "
			. "COUNT(*) AS requests_all, "
			. "COUNT(CASE WHEN t.status='1' THEN 1 END) AS requests_confirm, "
			. "COUNT(CASE WHEN t.status='-1' THEN 1 END) AS requests_reflected, "
			. "COUNT(CASE WHEN t.status='-2' OR t.status='0' THEN 1 END) AS requests_pending, "
			. "SUM(IF(t.status='-2' OR t.status='0', profit, 0)) AS profit_pending, "
			. "SUM(IF(t.status='-1', profit, 0)) AS profit_reflected, "
			. "SUM(IF(t.status='1', profit, 0)) AS profit_confirm, "
			. "date AS one FROM requests t "
			. "LEFT JOIN goals ON goals.id=t.goal_id "
			. "WHERE " . implode(" AND ", $this->dopQuery) . " "
			. "GROUP BY goal_id";
		$result2 = $this->db->query($query2)->result();
		$trs = array();
		foreach($result1 AS $row)
		{
			$trs[$row->one] = array();
			$trs[$row->one]["click_all"] = $row->click_all;
		}
		foreach($result2 AS $row)
		{
			if(empty($trs[$row->one]))
			{
				$trs[$row->one]["click_all"] = '0';
			}
			$trs[$row->one]["requests_all"] = $row->requests_all;
			$trs[$row->one]["requests_confirm"] = $row->requests_confirm;
			$trs[$row->one]["requests_reflected"] = $row->requests_reflected;
			$trs[$row->one]["requests_pending"] = $row->requests_pending;
			$trs[$row->one]["profit_pending"] = $row->profit_pending;
			$trs[$row->one]["profit_reflected"] = $row->profit_reflected;
			$trs[$row->one]["profit_confirm"] = $row->profit_confirm;
		}
		return $trs;
	}*/
	
	
}
