<?php

class User_model extends CI_Model {

    public $login = false;
    public $info = null;
    public $type = "";
    public $id;
    private $isAdmin = false;

    /*
     * Уровни доступа
     * тип пользователя => страница
     */
    private $config_arr = array(
        0 => array('advertiser', 'admin'),
        1 => array('webmaster', 'admin'),
        2 => array('advertiser', 'webmaster'),
        3 => array()
    );
    /*
     * Список разрешенных страниц для гостей
     */
    private $config_pages = array(
        'account/login',
        'webmaster/register',
        'webmaster/register/go',
        'webmaster/register/request',
        'for_advertisers',
        'advertiser/register',
        ''
    );
    /*
     * Список разрешенных сегментов для всех
     */
    private $rsegments = array(
        'record', 
        'api_index', 
        'recover', 
        'home_cooperators', 
        'cron', 
        'change_hold_status', 
        'ulyssenardin_get_statuses',
        'checker_users_ip'
    );

    public function isAdmin() {
        return $this->isAdmin;
    }

    public function __construct() {
        parent::__construct();
        if ($this->uri->segment(1) != "api")
            if ($this->isLogin() === FALSE && !in_array($this->uri->rsegment(1), $this->rsegments)) {
                if (!in_array($this->uri->uri_string(), $this->config_pages))
                    redirect(base_url() . "account/login");
            }

        if ($this->login) {
            if ($this->info->status == 0) {
                die("К сожалению вы заблокированы на данном ресурсе");
            }
            if (in_array($this->uri->segment(1), $this->config_arr[$this->info->type])) {
                show_404();
                return;
            }

            switch ($this->info->type) {
                case 0:
                    $this->type = "webmaster";
                    $this->load->model("webmaster_model");
                    break;
                case 1: $this->type = "advertiser";
                    break;
                case 2: $this->type = "admin";
                    break;
                case 3: $this->type = "admin";
                    break;
            }
            $this->isAdmin = in_array($this->info->type, array("2", "3"));

        }
    }

    public function isLogin() {
        if ($this->session->userdata("email") && $this->session->userdata("passhash")) {
            $res = $this->getUserInfo(
                    array(
                        "email" => $this->session->userdata("email"),
                        "passhash" => $this->session->userdata("passhash")
                    )
            );

            if ($res->num_rows() > 0) {
                $this->info = $res->row();

                if ($this->info->status == '1') {
                    $this->login = true;
                    return true;
                }
            }
        }
        return false;
    }

    public function getUserInfo($array = array()) {
        if (count($array) != 0)
            foreach ($array AS $key => $value)
                $this->db->where($key, $value);
        return $this->db->get("users");
    }

    public function getMD5($password) {
        return md5($password . "pass100lead" . $password . "okglass");
    }

    public function isCollapsed() {
        if ($this->session->userdata("isCollapsed") === "true")
            return "aside-collapsed";
        else
            return "";
    }

    function get_count_unread_tickets($user_type = 0) {
        if ($this->info->type == $user_type) {
            if ($user_type == 0 ) {
                $this->db->from("ticket_message tm")
                        ->join("ticket", "ticket.id=tm.ticket_id", "left")
                        ->where("ticket.user_id", $this->user_model->info->id)
                        ->where("tm.author", "1")
                        ->where("tm.read", "false");
            }
            if ($user_type == 3) {
                $this->db->from("ticket_message tm")
                        ->join("ticket", "ticket.id=tm.ticket_id", "left")
                        ->where("tm.read_admin", "false");
            }
            return $this->db->get()->num_rows();
        } else
            return 0;
    }
    


}
