<!DOCTYPE html>
<html lang="ru">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <title><?= $title; ?></title>

        <link rel="shortcut icon" href="<?= base_url(); ?>favicon.png" type="image/x-icon" />

        <link rel="stylesheet" href="<?= base_url(); ?>app/css/app.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/css/theme-a.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/fontawesome/css/font-awesome.min.css">
        <link rel="stylesheet" href="<?= base_url(); ?>app/vendor/simplelineicons/simple-line-icons.css">
        <script src="<?= base_url(); ?>app/vendor/jquery/jquery.min.js"></script>
        <script src="<?= base_url(); ?>app/vendor/bootstrap/js/bootstrap.min.js"></script>

        <script src="<?= base_url(); ?>app/vendor/fastclick/fastclick.js"></script>

        <script src="<?= base_url(); ?>app/js/app.js"></script>   
    </head>

    <body>
        <div id="isCollapsed" class="<?php echo $this->user_model->isCollapsed(); ?>">
            <div class="wrapper layout-fixed">

                <nav role="navigation" class="navbar topnavbar">
                    <div class="navbar-header">
                        <a href="<?= base_url(); ?>admin/" class="navbar-brand">
                            <div class="brand-logo">
                                <img src="<?= base_url(); ?>app/img/logo.png" alt="App Logo" class="img-responsive" />
                            </div>
                            <div class="brand-logo-collapsed">
                                <img src="<?= base_url(); ?>app/img/logo-single.png" alt="App Logo" class="img-responsive" />
                            </div>
                        </a>
                    </div>
                    <div class="nav-wrapper">
                        <ul class="nav navbar-nav">

                            <li id="activatedCollapse">
                                <a href="#" data-toggle-state="aside-collapsed" class="hidden-xs">
                                    <em class="fa fa-navicon"></em>
                                </a>
                                <a href="#" data-toggle-state="aside-toggled" class="visible-xs">
                                    <em class="fa fa-navicon"></em>
                                </a>
                            </li>
                        </ul>
                        <ul class="nav navbar-nav navbar-right">
                            <li>
                                <a tooltip-placement="left" href="<?= base_url(); ?>admin/settings">
                                    <?= $this->user_model->info->login; ?>
                                </a>
                            </li>               
                            <li>
                                <a tooltip-placement="left" tooltip="Выйти" href="<?= base_url(); ?>account/logout">
                                    <em class="fa fa-share"></em>
                                </a>
                            </li>		   
                        </ul>
                    </div>
                </nav>

                <aside class="aside">
                    <div class="aside-inner">
                        <nav class="sidebar">

                            <ul class="nav">
                                <li class="nav-heading">Главное меню</li>
                                <li<?= ($this->uri->segment(2) == "users" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/users" title="Пользователи"><em class="fa fa-users"></em><span class="item-text">Пользователи</span></a></li>
                                <li<?= ($this->uri->uri_string() == "admin/user/ind/index" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/user/ind/index" title="Индивидуальные выплаты"><em class="fa fa-users"></em><span class="item-text">Инд. выплаты</span></a></li>
                                <li<?= ($this->uri->segment(1) == "tickets" ? ' class="active"' : ''); ?>>
                                    <a href="<?= base_url() ?>tickets" title="Тикеты">
                                        <?php
                                        $count_unread_tickets = $this->user_model->get_count_unread_tickets(3);
                                        if ($count_unread_tickets > 0):
                                            ?>
                                            <div class="label label-success pull-right">+<?= $count_unread_tickets; ?></div>
                                        <?php endif; ?>
                                        <em class="fa fa-bar-chart-o"></em><span class="item-text">Тикеты</span>
                                    </a>
                                </li>
                                <li<?= ($this->uri->uri_string() == "admin/offer/list" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/offer/list" title="Офферы"><em class="fa fa-tasks"></em><span class="item-text">Офферы</span></a></li>
                                <li<?= ($this->uri->uri_string() == "admin/offer/private" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/offer/private" title="Приватные офферы"><em class="fa fa-tasks"></em><span class="item-text">Приватные офферы</span></a></li>
                                <li<?= ($this->uri->uri_string() == "admin/offer/add" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/offer/add" title="Добавить оффер"><em class="fa fa-tasks"></em><span class="item-text">Добавить оффер</span></a></li>
                                <li<?= ($this->uri->segment(2) == "news" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/news" title="Новости"><em class="fa fa-bullhorn"></em><span class="item-text">Новости</span></a></li>
                                <li<?= ($this->uri->segment(2) == "visitors" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/visitors" title="Визиты"><em class="fa fa-eye"></em><span class="item-text">Визиты</span></a></li>
                                <li<?= ($this->uri->uri_string() == "admin/user/payments" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/user/payments" title="Выплаты"><em class="fa fa-money"></em><span class="item-text">Выплаты</span></a></li>
                                <li<?= ($this->uri->uri_string() == "admin/user/cooperators" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/user/cooperators" title="Call-центр"><em class="fa fa-headphones"></em><span class="item-text">Call-Центр</span></a></li>
                                <li<?= ($this->uri->segment(2) == "email" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/email" title="Email рассылка"><em class="fa fa-eye"></em><span class="item-text">Email рассылка</span></a></li>
                                <li<?= ($this->uri->segment(2) == "log" ? ' class="active"' : ''); ?>><a href="<?= base_url() ?>admin/log" title="Лог"><em class="fa fa-eye"></em><span class="item-text">Лог</span></a></li>

                            </ul>
                            <!-- END sidebar nav-->
                        </nav>
                    </div>
                </aside>

                <!-- END Sidebar (left)-->

                <section>
                    <!-- Page content-->
                    <div autoscroll="false" class="content-wrapper">

